Index: kde/add/kde-i18n.xml
===================================================================
--- kde/add/kde-i18n.xml	(revision 4de61d3cc87ede3423b2f1c7b67ba3cd2cd08b7c)
+++ kde/add/kde-i18n.xml	(revision 247ca02fabc33dd4d4a2af1352cf77590164d8fc)
@@ -74,5 +74,5 @@
 
   <sect2 role="installation">
-  <title>Installation of kde-i18n</title>
+  <title>Installation of Kde-i18n</title>
 
     <para>Install <application>kde-i18n</application> with:</para>
Index: kde/add/kdeartwork.xml
===================================================================
--- kde/add/kdeartwork.xml	(revision 4de61d3cc87ede3423b2f1c7b67ba3cd2cd08b7c)
+++ kde/add/kdeartwork.xml	(revision 247ca02fabc33dd4d4a2af1352cf77590164d8fc)
@@ -21,5 +21,5 @@
   </sect1info>
 
-  <title>kdeartwork-&kde-version;</title>
+  <title>Kdeartwork-&kde-version;</title>
 
   <indexterm zone="kdeartwork">
Index: kde/add/kdeedu.xml
===================================================================
--- kde/add/kdeedu.xml	(revision 4de61d3cc87ede3423b2f1c7b67ba3cd2cd08b7c)
+++ kde/add/kdeedu.xml	(revision 247ca02fabc33dd4d4a2af1352cf77590164d8fc)
@@ -5,10 +5,10 @@
   %general-entities;
 
-<!ENTITY kdeedu-download-http "&kde-download-http;/kdeedu-&kde-version;.tar.bz2">
-<!ENTITY kdeedu-download-ftp  "&kde-download-ftp;/kdeedu-&kde-version;.tar.bz2">
-<!ENTITY kdeedu-md5sum        "c2aab0c4f6439abb6c0eb09413b6532c">
-<!ENTITY kdeedu-size          "22 MB">
-<!ENTITY kdeedu-buildsize     "196 MB">
-<!ENTITY kdeedu-time          "10.4 SBU">
+  <!ENTITY kdeedu-download-http "&kde-download-http;/kdeedu-&kde-version;.tar.bz2">
+  <!ENTITY kdeedu-download-ftp  "&kde-download-ftp;/kdeedu-&kde-version;.tar.bz2">
+  <!ENTITY kdeedu-md5sum        "c2aab0c4f6439abb6c0eb09413b6532c">
+  <!ENTITY kdeedu-size          "22 MB">
+  <!ENTITY kdeedu-buildsize     "196 MB">
+  <!ENTITY kdeedu-time          "10.4 SBU">
 ]>
 
@@ -21,5 +21,5 @@
   </sect1info>
 
-  <title>kdeedu-&kde-version;</title>
+  <title>Kdeedu-&kde-version;</title>
 
   <indexterm zone="kdeedu">
@@ -28,5 +28,5 @@
 
   <sect2 role="package">
-  <title>Introduction to kdeedu</title>
+  <title>Introduction to Kdeedu</title>
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -51,5 +51,5 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">kdeedu Dependencies</bridgehead>
+    <bridgehead renderas="sect3">Kdeedu Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
@@ -58,6 +58,5 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para><xref linkend="libjpeg"/> and 
-          <xref linkend="libxml2"/>
-    </para>
+    <xref linkend="libxml2"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
@@ -67,5 +66,5 @@
 
   <sect2 role="installation">
-    <title>Installation of kdeedu</title>
+    <title>Installation of Kdeedu</title>
 
     <para>Install <application>kdeedu</application> with:</para>
@@ -137,5 +136,6 @@
         <term><command>khangman</command></term>
         <listitem>
-          <para>is the classical hangman game for children, adapted for KDE.</para>
+          <para>is the classical hangman game for children, adapted for 
+          <application>KDE</application>.</para>
           <indexterm zone="kdeedu khangman">
             <primary sortas="b-khangman">khangman</primary>
@@ -147,5 +147,6 @@
         <term><command>kig</command></term>
         <listitem>
-          <para>is a KDE application for Interactive Geometry.</para>
+          <para>is a <application>KDE</application> application for 
+          Interactive Geometry.</para>
           <indexterm zone="kdeedu kig">
             <primary sortas="b-kig">kig</primary>
@@ -157,5 +158,6 @@
         <term><command>kiten</command></term>
         <listitem>
-          <para>is a Japanese reference/study tool for KDE.</para>
+          <para>is a Japanese reference/study tool for 
+          <application>KDE</application>.</para>
           <indexterm zone="kdeedu kiten">
             <primary sortas="b-kiten">kiten</primary>
@@ -187,5 +189,5 @@
         <term><command>kmplot</command></term>
         <listitem>
-          <para>is a mathematical function plotter for KDE.</para>
+          <para>is a mathematical function plotter for <application>KDE</application>.</para>
           <indexterm zone="kdeedu kmplot">
             <primary sortas="b-kmplot">kmplot</primary>
@@ -198,5 +200,5 @@
         <listitem>
           <para>is a small math application that will help pupils to improve their 
-                skills in calculating percentages.</para>
+          skills in calculating percentages.</para>
           <indexterm zone="kdeedu kpercentage">
             <primary sortas="b-kpercentage">kpercentage</primary>