Index: pst/printing/cups.xml
===================================================================
--- pst/printing/cups.xml	(revision 3acf10893caa4bb536acc0cd7895798cabff445d)
+++ pst/printing/cups.xml	(revision 248bac5ac50ef634e93053cea3971ef29710a72f)
@@ -7,8 +7,8 @@
   <!ENTITY cups-download-http "http://www.cups.org/software/&cups-version;/cups-&cups-version;-source.tar.bz2">
   <!ENTITY cups-download-ftp  " ">
-  <!ENTITY cups-md5sum        "c4e57a66298bfsba66bb3d5bedd317a4">
-  <!ENTITY cups-size          "8.4 MB">
-  <!ENTITY cups-buildsize     "92 MB">
-  <!ENTITY cups-time          "0.8 SBU">
+  <!ENTITY cups-md5sum        "62b8fafd590e75f72316915790b0850a">
+  <!ENTITY cups-size          "8.5 MB">
+  <!ENTITY cups-buildsize     "72 MB (116 MB with tests)">
+  <!ENTITY cups-time          "0.5 SBU (5.6 SBU for tests)">
 ]>
 
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs77_checked;
+    &lfs78_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -83,5 +83,5 @@
     <para role="recommended">
       <xref linkend="colord"/>,
-      <xref linkend="dbus"/> and
+      <xref linkend="dbus"/>, and
       <xref linkend="libusb"/>
     </para>
@@ -92,22 +92,21 @@
       <xref linkend="libpaper"/>,
       <xref linkend="linux-pam"/>,
-      <xref linkend="llvm"/> (with Clang),
       <xref linkend="mitkrb"/>,
       <xref linkend="openjdk"/>,
       <xref linkend="php"/>,
-      <xref linkend="python2"/> and
+      <xref linkend="python2"/>, and
       <xref linkend="xdg-utils"/>
-    </para>
-
-    <bridgehead renderas="sect4">Required (Runtime)</bridgehead>
-    <para role="optional">
+
+    </para>
+
+    <bridgehead renderas="sect4">Required (Postinstall)</bridgehead>
+    <para role="required runtime">
       <xref linkend="cups-filters"/>
     </para>
 
-    <bridgehead renderas="sect4">Optional (Runtime)</bridgehead>
-    <para role="optional">
-      <ulink url="https://www.openprinting.org/download/foomatic/">Foomatic</ulink>,
+    <bridgehead renderas="sect4">Optional (Postinstall)</bridgehead>
+    <para role="optional runtime">
       <xref linkend="gutenprint"/> and
-      <ulink url="http://hplipopensource.com/hplip-web/index.html">HPLIP</ulink> (HP printers)
+      <ulink url="http://hplipopensource.com/hplip-web/index.html">hplip</ulink> (HP printers)
     </para>
 
@@ -124,5 +123,5 @@
         There used to be a conflict between the <application>Cups</application>
         <application>libusb</application> backend and the usblp kernel driver.
-        This is no longer the case and Cups will work with both of these
+        This is no longer the case and cups will work with both of these
         enabled.
       </para>
@@ -216,13 +215,15 @@
     </para>
 
-<screen><userinput>sed -i "s:555:755:g;s:444:644:g" Makedefs.in                 &amp;&amp;
-sed -i "/MAN.*.EXT/s:.gz::g" config-scripts/cups-manpages.m4 &amp;&amp;
-sed -i "/LIBGCRYPTCONFIG/d" config-scripts/cups-ssl.m4       &amp;&amp;
-sed -i 's@else /\* HAVE_AVAHI \*/@elif defined (HAVE_AVAHI)@' test/ippserver.c &amp;&amp;
-
+<screen><userinput>sed -i 's:555:755:g;s:444:644:g' Makedefs.in                                  &amp;&amp;
+sed -i '/MAN.EXT/s:.gz::g' configure config-scripts/cups-manpages.m4          &amp;&amp;
+sed -i '/LIBGCRYPTCONFIG/d' config-scripts/cups-ssl.m4                        &amp;&amp;
+<!--sed -i 's@else /\* HAVE_AVAHI \*/@elif defined(HAVE_AVAHI)@' test/ippserver.c &amp;&amp;
+-->
 aclocal  -I config-scripts &amp;&amp;
 autoconf -I config-scripts &amp;&amp;
 
+CC=gcc \
 ./configure --libdir=/usr/lib            \
+            --disable-systemd            \
             --with-rcdir=/tmp/cupsinit   \
             --with-system-groups=lpadmin \
@@ -230,8 +231,9 @@
 make</userinput></screen>
 
-   <para>
-     To test the results, issue: <command>make -k check</command> from
-     an X terminal emulator.
-   </para>
+    <para>
+      To test the results, issue: <command>make -k check</command>. An already
+      active graphical session with bus address is necessary to run the tests.
+      Some tests fail for unknown reasons.
+    </para>
 
     <para>
@@ -243,5 +245,5 @@
 <screen role="root"><userinput>make install &amp;&amp;
 rm -rf /tmp/cupsinit &amp;&amp;
-ln -sfnv ../cups/doc-&cups-version; /usr/share/doc/cups-&cups-version;</userinput></screen>
+ln -svnf ../cups/doc-&cups-version; /usr/share/doc/cups-&cups-version;</userinput></screen>
 
     <para>
@@ -253,21 +255,4 @@
 <screen role="root"><userinput>echo "ServerName /var/run/cups/cups.sock" > /etc/cups/client.conf</userinput></screen>
 
-    <para>
-      Remove filters that are now part of the <application>Cups
-      Filters</application> package by running the following commands as the
-      <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>rm -rf /usr/share/cups/banners &amp;&amp;
-rm -rf /usr/share/cups/data/testprint</userinput></screen>
-
-    <note>
-      <para>
-        If you reinstall or update <application>Cups</application>, commands
-        above will break <xref linkend="cups-filters"/>, so it needs to be
-        reinstalled.
-      </para>
-    </note>
-
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/gtk-update-icon-cache.xml"/>
@@ -279,25 +264,38 @@
 
     <para>
-      <command>sed -i ... Makedefs.in</command>: This sed fixes
-      permissions of the installed files and directories.
-    </para>
-
-    <para>
-      <command>sed -i ... cups-manpages.m4</command>: This sed
-      prevents compression of the man pages by default.
-    </para>
-
-    <para>
-      <command>sed -i ... cups-ssl.m4</command>: This sed prevents
-      <command>configure</command> from looking for
-      <command>libgcrypt-config</command> because
-      <application>libgcrypt</application> is not required by the
+      <command>sed ... Makedefs.in</command>: Fix files and directories
+      permissions.
+    </para>
+
+    <para>
+      <command>sed ... cups-manpages.m4</command>: This sed prevents
+      compression of the man pages by default.
+    </para>
+
+    <para>
+      <command>sed ... cups-ssl.m4</command>: Prevent
+      <command>configure</command> script from searching
+      <command>libgcrypt-config</command>, because
+      <application>libgcrypt</application> is not used anywere else in the
       package.
     </para>
 
     <para>
-      <command>sed -i ... test/ippserver.c</command>: This sed fixes a bug that
-      shows up when <xref linkend="avahi"/> is not present.
-    </para>
+      <envar>CC=gcc</envar>: This environment variable ensures that gcc is used,
+      if clang is installed. Remove it, if you prefer to use clang. Using clang
+      almost doubles build time and slightly decreases build disk space.
+      Installed disk space is not appreciably modified.
+    </para>
+<!--
+    <para>
+      <command>sed ... test/ippserver.c</command>: This sed fixes a bug,
+      which shows up when <application>avahi</application> is not present.
+    </para>-->
+
+    <para>
+      <parameter>--disable-systemd</parameter>: Systemd is not supported by
+      BLFS.
+    </para>
+
     <para>
       <parameter>--with-rcdir=/tmp/cupsinit</parameter>: This switch tells the
@@ -314,4 +312,9 @@
 
     <para>
+      <option>--disable-libusb</option>: Use this switch if you have installed
+      <xref linkend="libusb"/>, but wish to use the kernel usblp driver.
+    </para>
+
+    <para>
       <option>--enable-libpaper</option>: Use this switch if you have installed
       <application>libpaper</application> and wish to use it with
@@ -339,11 +342,12 @@
 
       <para>
-        The <application>Cups</application> web interface can be accessed
-        via <ulink url="http://localhost:631"/>. From there, printers
-        and print jobs can be managed, and the server configuration
-        can be changed. Configuration can also be done from the command
-        line using the  <command>lpadmin</command>,
-        <command>lpoptions</command> and <command>lpstat</command>
-        commands.
+        Normally, printers are set up via a web browser.  The
+        <application>Cups</application> server will connect via
+        the url http://localhost:631.  From there, printers, print
+        jobs, and the server configuration can be set up and managed.
+        Remote system administration can also be set up.  Configuration
+        can also be done from the command line via the
+        <command>lpadmin</command>, <command>lpoptions</command>,
+        and <command>lpstat</command> commands.
       </para>
 
@@ -353,5 +357,5 @@
         are easier. For detailed instructions on configuration and use of
         <application>Cups</application>, see <ulink
-        url="http://www.cups.org/documentation.php"/>. 
+        url="http://www.cups.org/documentation.php"/>.
       </para>
 
@@ -432,20 +436,15 @@
           cupstestppd, ippfind, ipptool, lp, lpadmin, lpc, lpinfo, lpmove,
           lpoptions, lpq, lpr, lprm, lpstat, ppdc, ppdhtml, ppdi, ppdmerge,
-          ppdpo and reject
+          ppdpo, and reject
         </seg>
         <seg>
           libcupscgi.so, libcupsimage.so, libcupsmime.so,
-          libcupsppdc.so and libcups.so
+          libcupsppdc.so, and libcups.so
         </seg>
         <seg>
           /etc/cups,
-          /usr/include/cups,
-          /usr/lib/cups,
-          /usr/share/cups,
-          /usr/share/doc/cups-&cups-version;,
-          /var/cache/cups,
-          /var/log/cups,
-          /var/run/cups and
-          /var/spool/cups
+          /usr/{include,lib,share}/cups,
+          /usr/share/doc/cups-&cups-version;, and
+          /var/{cache,log,run,spool}/cups
         </seg>
       </seglistitem>