Index: general/prog/dejagnu.xml
===================================================================
--- general/prog/dejagnu.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/dejagnu.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">dejagnu-&dejagnu-version;.tar</keyword>
+      <keyword role="ftptdir">dejagnu</keyword>
+    </keywordset>
   </sect1info>
 
@@ -59,8 +63,8 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="expect"/></para>
+    <para role="required"><xref linkend="expect"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="docbook-utils"/></para>
+    <para role="optional"><xref linkend="docbook-utils"/></para>
 
   </sect2>
Index: general/prog/doxygen.xml
===================================================================
--- general/prog/doxygen.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/doxygen.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">doxygen-&doxygen-version;.src.tar</keyword>
+      <keyword role="ftptdir">doxygen</keyword>
+    </keywordset>
   </sect1info>
 
@@ -72,5 +76,5 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="qt"/>,
+    <para role="optional"><xref linkend="qt"/>,
     <xref linkend="tex"/> and
     <ulink url="http://www.graphviz.org/">GraphViz</ulink></para>
Index: general/prog/expect.xml
===================================================================
--- general/prog/expect.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/expect.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">expect-&expect-version;.tar</keyword>
+      <keyword role="ftptdir">expect</keyword>
+    </keywordset>
   </sect1info>
 
@@ -71,8 +75,8 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="tcl"/></para>
+    <para role="required"><xref linkend="tcl"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="tk"/></para>
+    <para role="optional"><xref linkend="tk"/></para>
 
   </sect2>
Index: general/prog/gc.xml
===================================================================
--- general/prog/gc.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/gc.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">gc&gc-version;.tar</keyword>
+      <keyword role="ftptdir">gc</keyword>
+    </keywordset>
   </sect1info>
 
Index: general/prog/gcc.xml
===================================================================
--- general/prog/gcc.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/gcc.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -26,4 +26,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">gcc-&gcc-version;.tar</keyword>
+      <keyword role="ftptdir">gcc</keyword>
+    </keywordset>
   </sect1info>
 
@@ -89,9 +93,9 @@
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para><xref linkend="dejagnu"/></para>
+    <para role="recommended"><xref linkend="dejagnu"/></para>
 
     <bridgehead renderas="sect4">Optional (Required to Build the Fortran
     Compiler)</bridgehead>
-    <para><xref linkend="gmp"/> and
+    <para role="optional"><xref linkend="gmp"/> and
     <ulink url="http://www.mpfr.org/">MPFR</ulink></para>
 
@@ -128,5 +132,5 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="tcsh"/></para>
+    <para role="required"><xref linkend="tcsh"/></para>
 
   </sect2>
Index: general/prog/gcc3.xml
===================================================================
--- general/prog/gcc3.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/gcc3.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">gcc-&gcc3-version;.tar</keyword>
+      <keyword role="ftptdir">gcc</keyword>
+    </keywordset>
   </sect1info>
 
@@ -72,5 +76,7 @@
 
     <bridgehead renderas="sect3">GCC-&gcc3-version; Dependencies</bridgehead>
-    <para><xref linkend="dejagnu"/> (required to run the full test suite)</para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="dejagnu"/> (required to run the full test suite)</para>
 
   </sect2>
Index: general/prog/guile.xml
===================================================================
--- general/prog/guile.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/guile.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">guile-&guile-version;.tar</keyword>
+      <keyword role="ftptdir">guile</keyword>
+    </keywordset>
   </sect1info>
 
Index: general/prog/jdk.xml
===================================================================
--- general/prog/jdk.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/jdk.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -21,4 +21,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">NONE</keyword>
+      <keyword role="ftptdir">jdk</keyword>
+    </keywordset>
   </sect1info>
 
@@ -150,5 +154,5 @@
 
     <bridgehead renderas="sect4">Required (to Build JDK from Source)</bridgehead>
-    <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
+    <para role="required">X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
     <xref linkend="zip"/>,
     <xref linkend="unzip"/>,
@@ -361,7 +365,7 @@
 AUTO_CLASSPATH_DIR=/usr/lib/classpath
 if [ -z ${CLASSPATH} ]; then
-	CLASSPATH=.:${AUTO_CLASSPATH_DIR}
+  CLASSPATH=.:${AUTO_CLASSPATH_DIR}
 else
-	CLASSPATH="${CLASSPATH}:.:${AUTO_CLASSPATH_DIR}"
+  CLASSPATH="${CLASSPATH}:.:${AUTO_CLASSPATH_DIR}"
 fi
 
@@ -369,5 +373,5 @@
 ls ${AUTO_CLASSPATH_DIR}/*.jar &amp;> /dev/null &amp;&amp;
 for i in ${AUTO_CLASSPATH_DIR}/*.jar
-	do CLASSPATH=${CLASSPATH}:"${i}"
+  do CLASSPATH=${CLASSPATH}:"${i}"
 done
 export CLASSPATH
Index: general/prog/librep.xml
===================================================================
--- general/prog/librep.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/librep.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">librep-&librep-version;.tar</keyword>
+      <keyword role="ftptdir">librep</keyword>
+    </keywordset>
   </sect1info>
 
@@ -59,8 +63,8 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="gdbm"/></para>
+    <para role="required"><xref linkend="gdbm"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="gmp"/> and
+    <para role="optional"><xref linkend="gmp"/> and
     <xref linkend="gcc"/> (build Java so that
     <filename class='libraryfile'>libffi</filename> is built)</para>
Index: general/prog/nasm.xml
===================================================================
--- general/prog/nasm.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/nasm.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">nasm-&NASM-version;.tar</keyword>
+      <keyword role="ftptdir">nasm</keyword>
+    </keywordset>
   </sect1info>
 
@@ -67,5 +71,5 @@
 
     <bridgehead renderas="sect4">Optional (for Building Documentation)</bridgehead>
-    <para><xref linkend="tex"/>, and
+    <para role="optional"><xref linkend="tex"/>, and
     <xref linkend="espgs"/> or <xref linkend="gs"/></para>
 
Index: general/prog/pdl.xml
===================================================================
--- general/prog/pdl.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/pdl.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">PDL-&pdl-version;.tar</keyword>
+      <keyword role="ftptdir">PDL</keyword>
+    </keywordset>
   </sect1info>
 
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/php.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">php-&php-version;.tar</keyword>
+      <keyword role="ftptdir">php</keyword>
+    </keywordset>
   </sect1info>
 
@@ -71,11 +75,11 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="apache"/></para>
+    <para role="required"><xref linkend="apache"/></para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para><xref linkend="libxml2"/></para>
+    <para role="recommended"><xref linkend="libxml2"/></para>
 
     <bridgehead renderas="sect4">Optional System Utilities and Libraries</bridgehead>
-    <para><xref linkend="libxslt"/>,
+    <para role="optional"><xref linkend="libxslt"/>,
     <xref linkend="gamin"/>,
     <xref linkend="gmp"/>,
@@ -91,5 +95,5 @@
 
     <bridgehead renderas="sect4">Optional Graphics Utilities and Libraries</bridgehead>
-    <para><xref linkend="libjpeg"/>,
+    <para role="optional"><xref linkend="libjpeg"/>,
     <xref linkend="libtiff"/>,
     <xref linkend="libpng"/>,
@@ -103,5 +107,5 @@
 
     <bridgehead renderas="sect4">Optional Web Utilities</bridgehead>
-    <para><xref linkend="curl"/>,
+    <para role="optional"><xref linkend="curl"/>,
     <xref linkend="html-tidy"/>,
     <ulink url="http://www.mnogosearch.org/">mnoGoSearch</ulink>,
@@ -111,5 +115,5 @@
 
     <bridgehead renderas="sect4">Optional Data Management Utilities and Libraries</bridgehead>
-    <para><xref linkend="openldap"/>,
+    <para role="optional"><xref linkend="openldap"/>,
     <xref linkend="gdbm"/>,
     <xref linkend="db"/>,
@@ -129,5 +133,5 @@
 
     <bridgehead renderas="sect4">Optional Security/Encryption Utilities and Libraries</bridgehead>
-    <para><xref linkend="openssl"/>,
+    <para role="optional"><xref linkend="openssl"/>,
     <xref linkend="cyrus-sasl"/>,
     <xref linkend="mitkrb"/> or <xref linkend="heimdal"/>,
Index: general/prog/python.xml
===================================================================
--- general/prog/python.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/python.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -14,9 +14,13 @@
 
 <sect1 id="python" xreflabel="Python-&Python-version;">
-  <?dbhtml filename="Python.html" ?>
+  <?dbhtml filename="python.html" ?>
 
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">Python-&Python-version;.tar</keyword>
+      <keyword role="ftptdir">Python</keyword>
+    </keywordset>
   </sect1info>
 
@@ -68,5 +72,5 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="openssl"/>,
+    <para role="optional"><xref linkend="openssl"/>,
     <xref linkend="tk"/>,
     <xref linkend="gdbm"/> and
Index: general/prog/pyxml.xml
===================================================================
--- general/prog/pyxml.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/pyxml.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">PyXML-&pyxml-version;.tar</keyword>
+      <keyword role="ftptdir">PyXML</keyword>
+    </keywordset>
   </sect1info>
 
@@ -62,5 +66,5 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="python"/></para>
+    <para role="required"><xref linkend="python"/></para>
 
   </sect2>
Index: general/prog/ruby.xml
===================================================================
--- general/prog/ruby.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/ruby.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -19,4 +19,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">ruby-&ruby-version;.tar</keyword>
+      <keyword role="ftptdir">ruby</keyword>
+    </keywordset>
   </sect1info>
 
@@ -68,5 +72,5 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="openssl"/>,
+    <para role="optional"><xref linkend="openssl"/>,
     <xref linkend="tk"/>,
     <xref linkend="db"/> and
Index: general/prog/tcl.xml
===================================================================
--- general/prog/tcl.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/tcl.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -20,4 +20,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">tcl&tcl-version;-src.tar</keyword>
+      <keyword role="ftptdir">tcl</keyword>
+    </keywordset>
   </sect1info>
 
Index: general/prog/tk.xml
===================================================================
--- general/prog/tk.xml	(revision caa1fcec1381ec5077587f97c9735b1e3ea7bb5a)
+++ general/prog/tk.xml	(revision 256ee72c52436828b8a88d9a0d238e90d11b3cb1)
@@ -20,4 +20,8 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">tk&tk-version;-src.tar</keyword>
+      <keyword role="ftptdir">tk</keyword>
+    </keywordset>
   </sect1info>
 
@@ -59,5 +63,5 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>) and
+    <para role="required">X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>) and
     <xref linkend="tcl"/></para>
 