Index: general/genlib/js60.xml
===================================================================
--- general/genlib/js60.xml	(revision b93eccf008192fe7e3be9e60262519126ca4dc19)
+++ general/genlib/js60.xml	(revision 0260f4bf49e44e77f0c897b5f7f8693f8a331250)
@@ -32,5 +32,5 @@
     <para>
       <application>JS</application> is Mozilla's JavaScript engine
-      written in C. This package is present for GJS.
+      written in C.
     </para>
 
Index: general/genlib/libseccomp.xml
===================================================================
--- general/genlib/libseccomp.xml	(revision b93eccf008192fe7e3be9e60262519126ca4dc19)
+++ general/genlib/libseccomp.xml	(revision 0260f4bf49e44e77f0c897b5f7f8693f8a331250)
@@ -41,5 +41,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/rep-gtk.xml
===================================================================
--- general/genutils/rep-gtk.xml	(revision b93eccf008192fe7e3be9e60262519126ca4dc19)
+++ general/genutils/rep-gtk.xml	(revision 0260f4bf49e44e77f0c897b5f7f8693f8a331250)
@@ -38,5 +38,5 @@
     Both can be installed, if needed. </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/librep.xml
===================================================================
--- general/prog/librep.xml	(revision b93eccf008192fe7e3be9e60262519126ca4dc19)
+++ general/prog/librep.xml	(revision 0260f4bf49e44e77f0c897b5f7f8693f8a331250)
@@ -34,5 +34,5 @@
     interpreter as an extension language.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -83,5 +83,6 @@
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>sed -i '5043,5044 d' libtool &amp;&amp;
+make install</userinput></screen>
 
   </sect2>
Index: general/sysutils/systemd.xml
===================================================================
--- general/sysutils/systemd.xml	(revision b93eccf008192fe7e3be9e60262519126ca4dc19)
+++ general/sysutils/systemd.xml	(revision 0260f4bf49e44e77f0c897b5f7f8693f8a331250)
@@ -43,5 +43,5 @@
     </para>
     
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b93eccf008192fe7e3be9e60262519126ca4dc19)
+++ introduction/welcome/changelog.xml	(revision 0260f4bf49e44e77f0c897b5f7f8693f8a331250)
@@ -46,4 +46,7 @@
       <para>August 19th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[renodr] - Fix libtool problems in librep-0.29.7.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to plasma5-5.16.4. Fixes
Index: x/installing/x7driver-intel.xml
===================================================================
--- x/installing/x7driver-intel.xml	(revision b93eccf008192fe7e3be9e60262519126ca4dc19)
+++ x/installing/x7driver-intel.xml	(revision 0260f4bf49e44e77f0c897b5f7f8693f8a331250)
@@ -46,5 +46,5 @@
       </para>
 
-      &lfs84_checked;
+      &lfs90_checked;
 
       <note><para>This is a development version of the Intel driver
Index: x/lib/freeglut.xml
===================================================================
--- x/lib/freeglut.xml	(revision b93eccf008192fe7e3be9e60262519126ca4dc19)
+++ x/lib/freeglut.xml	(revision 0260f4bf49e44e77f0c897b5f7f8693f8a331250)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/wm/sawfish.xml
===================================================================
--- x/wm/sawfish.xml	(revision b93eccf008192fe7e3be9e60262519126ca4dc19)
+++ x/wm/sawfish.xml	(revision 0260f4bf49e44e77f0c897b5f7f8693f8a331250)
@@ -35,5 +35,5 @@
     controlled through the extension language.</para>
 
-    &lfs84_checked;
+    &lfs90_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>