Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision dbb8c439f3f051b32fb87affaaececcd8f5e034c)
+++ gnome/platform/evolution-data-server.xml	(revision 262a1088dd27aba55de1c68179e40fa637c094b8)
@@ -9,8 +9,8 @@
   <!ENTITY evolution-data-server-download-ftp
            "&gnome-download-ftp;/evolution-data-server/&gnome-minor-28;/evolution-data-server-&evolution-data-server-version;.tar.xz">
-  <!ENTITY evolution-data-server-md5sum        "da21f3262a82caee12ee6b552f12d82b">
+  <!ENTITY evolution-data-server-md5sum        "998d5b280372357346d2bc7afe45b36d">
   <!ENTITY evolution-data-server-size          "4.2 MB">
-  <!ENTITY evolution-data-server-buildsize     "155 MB">
-  <!ENTITY evolution-data-server-time          "0.7 SBU (with parallelism=4)">
+  <!ENTITY evolution-data-server-buildsize     "185 MB">
+  <!ENTITY evolution-data-server-time          "1.2 SBU">
 ]>
 
@@ -103,5 +103,4 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-<!--      <xref linkend="elfutils"/>,-->
       <xref linkend="gtk-doc"/>,
       <xref linkend="mitkrb"/>,
@@ -143,6 +142,5 @@
 
     <para>
-      <!--To test the results, run <command>make check</command>.-->
-      This package does not come with a test suite.
+      This package does not come with a working test suite.
     </para>
 
@@ -226,5 +224,5 @@
         <seg>
           /usr/include/evolution-data-server,
-          /usr/lib{,exec}/evolution-data-server,
+          /usr/lib/evolution-data-server,
           /usr/share/{,installed-tests/}evolution-data-server,
           /usr/share/gtk-doc/html/{camel,libebackend,libebook},
Index: gnome/platform/geocode-glib.xml
===================================================================
--- gnome/platform/geocode-glib.xml	(revision dbb8c439f3f051b32fb87affaaececcd8f5e034c)
+++ gnome/platform/geocode-glib.xml	(revision 262a1088dd27aba55de1c68179e40fa637c094b8)
@@ -6,11 +6,11 @@
 
   <!ENTITY geocode-glib-download-http
-           "&gnome-download-http;/geocode-glib/3.25/geocode-glib-&geocode-glib-version;.tar.xz">
+           "&gnome-download-http;/geocode-glib/&gnome-minor-26;/geocode-glib-&geocode-glib-version;.tar.xz">
   <!ENTITY geocode-glib-download-ftp
-           "&gnome-download-ftp;/geocode-glib/3.25/geocode-glib-&geocode-glib-version;.tar.xz">
-  <!ENTITY geocode-glib-md5sum        "7315e7ff162dfd01165ba8a284e3eda6">
-  <!ENTITY geocode-glib-size          "80 KB">
-  <!ENTITY geocode-glib-buildsize     "2.3 MB (with tests)">
-  <!ENTITY geocode-glib-time          "less than 0.1 SBU (with tests)">
+           "&gnome-download-ftp;/geocode-glib/&gnome-minor-26;/geocode-glib-&geocode-glib-version;.tar.xz">
+  <!ENTITY geocode-glib-md5sum        "98c0a7d175014d5865be7d3f774ef14c">
+  <!ENTITY geocode-glib-size          "76 KB">
+  <!ENTITY geocode-glib-buildsize     "4.7 MB (with tests)">
+  <!ENTITY geocode-glib-time          "0.1 SBU (with tests)">
 ]>
 
@@ -143,6 +143,7 @@
         </seg>
         <seg>
-          /usr/include/geocode-glib-1.0m
-          /usr/{share,libexec}/installed-tests/geocode-glib and
+          /usr/include/geocode-glib-1.0,
+          /usr/libexec/installed-tests/geocode-glib,
+          /usr/share/icons/gnome/scalable/places, and
           /usr/share/gtk-doc/html/geocode-glib-1.0
         </seg>
Index: gnome/platform/gnome-desktop.xml
===================================================================
--- gnome/platform/gnome-desktop.xml	(revision dbb8c439f3f051b32fb87affaaececcd8f5e034c)
+++ gnome/platform/gnome-desktop.xml	(revision 262a1088dd27aba55de1c68179e40fa637c094b8)
@@ -9,8 +9,8 @@
   <!ENTITY gnome-desktop-download-ftp
            "&gnome-download-ftp;/gnome-desktop/&gnome-minor-28;/gnome-desktop-&gnome-desktop-version;.tar.xz">
-  <!ENTITY gnome-desktop-md5sum        "3e7b67578307220a21688f28307b6789">
+  <!ENTITY gnome-desktop-md5sum        "ad9b66210300239d0a2d0854e9c906d0">
   <!ENTITY gnome-desktop-size          "1.0 MB">
-  <!ENTITY gnome-desktop-buildsize     "18 MB">
-  <!ENTITY gnome-desktop-time          "0.3 SBU">
+  <!ENTITY gnome-desktop-buildsize     "24 MB">
+  <!ENTITY gnome-desktop-time          "0.2 SBU">
 ]>
 
Index: gnome/platform/grilo.xml
===================================================================
--- gnome/platform/grilo.xml	(revision dbb8c439f3f051b32fb87affaaececcd8f5e034c)
+++ gnome/platform/grilo.xml	(revision 262a1088dd27aba55de1c68179e40fa637c094b8)
@@ -7,8 +7,8 @@
   <!ENTITY grilo-download-http "&gnome-download-http;/grilo/0.3/grilo-&grilo-version;.tar.xz">
   <!ENTITY grilo-download-ftp  "&gnome-download-ftp;/grilo/0.3/grilo-&grilo-version;.tar.xz">
-  <!ENTITY grilo-md5sum        "a15a92a903aeb7579e1b0f6e8b4b0fb1">
-  <!ENTITY grilo-size          "632 KB">
-  <!ENTITY grilo-buildsize     "27 MB">
-  <!ENTITY grilo-time          "0.2 SBU">
+  <!ENTITY grilo-md5sum        "6065e593a2cd7abbd697447db77cf832">
+  <!ENTITY grilo-size          "640 KB">
+  <!ENTITY grilo-buildsize     "28 MB">
+  <!ENTITY grilo-time          "0.1 SBU">
 ]>
 
@@ -94,4 +94,7 @@
     following commands:</para>
 
+<!-- At the next release of grilo, the build system will change to meson.
+     Because we are so close to BLFS-8.3, I'm leaving it intact. -->
+
 <screen><userinput>./configure --prefix=/usr     \
             --libdir=/usr/lib \
Index: gnome/platform/libgweather.xml
===================================================================
--- gnome/platform/libgweather.xml	(revision dbb8c439f3f051b32fb87affaaececcd8f5e034c)
+++ gnome/platform/libgweather.xml	(revision 262a1088dd27aba55de1c68179e40fa637c094b8)
@@ -9,7 +9,7 @@
   <!ENTITY libgweather-download-ftp
            "&gnome-download-ftp;/libgweather/&gnome-minor-28;/libgweather-&libgweather-version;.tar.xz">
-  <!ENTITY libgweather-md5sum        "45dee6905d80d57e422c103e227a68d0">
-  <!ENTITY libgweather-size          "2.7 MB">
-  <!ENTITY libgweather-buildsize     "68 MB">
+  <!ENTITY libgweather-md5sum        "4f8771fedc83bd1c7594c5aa7f21dedb">
+  <!ENTITY libgweather-size          "2.6 MB">
+  <!ENTITY libgweather-buildsize     "91 MB">
   <!ENTITY libgweather-time          "0.1 SBU">
 ]>
@@ -111,5 +111,5 @@
 cd    build &amp;&amp;
 
-meson --prefix=/usr &amp;&amp;
+meson --prefix=/usr .. &amp;&amp;
 ninja</userinput></screen>
 
Index: gnome/platform/rest.xml
===================================================================
--- gnome/platform/rest.xml	(revision dbb8c439f3f051b32fb87affaaececcd8f5e034c)
+++ gnome/platform/rest.xml	(revision 262a1088dd27aba55de1c68179e40fa637c094b8)
@@ -9,6 +9,6 @@
   <!ENTITY rest-md5sum        "ece4547298a81105f307369d73c21b9d">
   <!ENTITY rest-size          "332 KB">
-  <!ENTITY rest-buildsize     "8.1 MB (an additonal 4.4 MB for tests)">
-  <!ENTITY rest-time          "0.1 SBU (an additional 0.1 SBU for tests)">
+  <!ENTITY rest-buildsize     "12.5 MB (with tests)">
+  <!ENTITY rest-time          "0.2 SBU (with tests)">
 ]>
 
Index: gnome/platform/totem-pl-parser.xml
===================================================================
--- gnome/platform/totem-pl-parser.xml	(revision dbb8c439f3f051b32fb87affaaececcd8f5e034c)
+++ gnome/platform/totem-pl-parser.xml	(revision 262a1088dd27aba55de1c68179e40fa637c094b8)
@@ -9,7 +9,7 @@
   <!ENTITY totem-pl-parser-download-ftp
    "&gnome-download-ftp;/totem-pl-parser/&gnome-minor-26;/totem-pl-parser-&totem-pl-parser-version;.tar.xz">
-  <!ENTITY totem-pl-parser-md5sum        "f609b4a758055bca5045c83604638723">
+  <!ENTITY totem-pl-parser-md5sum        "28005570260a06b1e1579a255c5afa5e">
   <!ENTITY totem-pl-parser-size          "1.3 MB">
-  <!ENTITY totem-pl-parser-buildsize     "9.5 MB (with tests)">
+  <!ENTITY totem-pl-parser-buildsize     "12 MB (with tests)">
   <!ENTITY totem-pl-parser-time          "0.1 SBU (with tests)">
 ]>
@@ -117,5 +117,6 @@
 
     <para>
-      To test the results, issue: <command>ninja test</command>.
+      To test the results, issue: <command>ninja test</command>. One test,
+      /parser/parsing/podcast_medium, is known to fail in a LFS environment.
     </para>
 
Index: gnome/platform/tracker.xml
===================================================================
--- gnome/platform/tracker.xml	(revision dbb8c439f3f051b32fb87affaaececcd8f5e034c)
+++ gnome/platform/tracker.xml	(revision 262a1088dd27aba55de1c68179e40fa637c094b8)
@@ -9,8 +9,8 @@
   <!ENTITY tracker-download-ftp
            "&gnome-download-ftp;/tracker/2.0/tracker-&tracker-version;.tar.xz">
-  <!ENTITY tracker-md5sum        "8fe16374c5a7e50cd7166e204a6371cd">
+  <!ENTITY tracker-md5sum        "ad1b14754828db76f3aeb47c9d03bb0a">
   <!ENTITY tracker-size          "2.5 MB">
-  <!ENTITY tracker-buildsize     "93 MB (with tests)">
-  <!ENTITY tracker-time          "1.2 SBU (with tests)">
+  <!ENTITY tracker-buildsize     "124 MB (with tests)">
+  <!ENTITY tracker-time          "1.3 SBU (with tests)">
 ]>
 
@@ -95,6 +95,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="gtk-doc"/>,
-      <ulink url="https://developer.gnome.org/programming-guidelines/unstable/databases.html.en">GVDB</ulink>, and
+      <xref linkend="gtk-doc"/> and
       <ulink url="https://github.com/snowballstem/snowball/">Snowball</ulink>
     </para>
@@ -176,5 +175,5 @@
         <listitem>
           <para>
-            is the control program for indexer.
+            is a control program for the indexer.
           </para>
           <indexterm zone="tracker tracker-prog">
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision dbb8c439f3f051b32fb87affaaececcd8f5e034c)
+++ gnome/platform/vte.xml	(revision 262a1088dd27aba55de1c68179e40fa637c094b8)
@@ -7,8 +7,8 @@
   <!ENTITY vte-download-http "&gnome-download-http;/vte/0.52/vte-&vte-version;.tar.xz">
   <!ENTITY vte-download-ftp  "&gnome-download-ftp;/vte/0.52/vte-&vte-version;.tar.xz">
-  <!ENTITY vte-md5sum        "95b0d12864f7374128da33998e756e75">
+  <!ENTITY vte-md5sum        "de8181350dccb010e915e366bdd06d18">
   <!ENTITY vte-size          "988 KB">
-  <!ENTITY vte-buildsize     "23 MB (with tests)">
-  <!ENTITY vte-time          "0.5 SBU (with tests)">
+  <!ENTITY vte-buildsize     "27 MB (with tests)">
+  <!ENTITY vte-time          "0.4 SBU (with tests)">
   <!-- Consolidating Tests/No Tests in GNOME sections for consistency. -->
 