Index: gnome/gnome.ent
===================================================================
--- gnome/gnome.ent	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ gnome/gnome.ent	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -1,5 +1,5 @@
 <!ENTITY gnome SYSTEM "gnome.xml">
 <!ENTITY gnome-intro SYSTEM "gnome-intro.xml">
-<!ENTITY gnome-version "2.4">
+<!ENTITY gnome-version "2.6">
 
 <!-- Gnome Libraries -->
Index: gnome/lib/gconf/gconf-exp.xml
===================================================================
--- gnome/lib/gconf/gconf-exp.xml	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ gnome/lib/gconf/gconf-exp.xml	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -12,6 +12,6 @@
 eliminating this command <emphasis>must</emphasis> be consistent.</para>
 
-<para><option>--enable-gtk-doc</option>: This switch rebuilds the
-documentation during the <command>make</command> command.</para>
+<para><option>--disable-gtk-doc</option>: This switch prevents the rebuilding 
+of the documentation during the <command>make</command> command.</para>
 
 </sect2>
Index: gnome/lib/gconf/gconf-inst.xml
===================================================================
--- gnome/lib/gconf/gconf-inst.xml	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ gnome/lib/gconf/gconf-inst.xml	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -5,5 +5,6 @@
 
 <screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
-    --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin --sysconfdir=/etc/gnome &amp;&amp;
+    --libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
+    --sysconfdir=/etc/gnome --disable-gtk-doc &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
Index: gnome/lib/gconf/gconf-intro.xml
===================================================================
--- gnome/lib/gconf/gconf-intro.xml	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ gnome/lib/gconf/gconf-intro.xml	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -21,5 +21,5 @@
 <para><xref linkend="ORBit2"/> and <xref linkend="GTK2"/></para></sect4>
 <sect4><title>Optional</title>
-<para><xref linkend="gtk-doc"/> and <xref linkend="sgml-dtd-3"/></para></sect4>
+<para><xref linkend="gtk-doc"/> and <xref linkend="DocBook"/></para></sect4>
 </sect3>
 
Index: gnome/lib/gconf/gconf.ent
===================================================================
--- gnome/lib/gconf/gconf.ent	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ gnome/lib/gconf/gconf.ent	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -4,8 +4,8 @@
 <!ENTITY GConf-exp SYSTEM "gconf-exp.xml">
 <!ENTITY GConf-desc SYSTEM "gconf-desc.xml">
-<!ENTITY GConf-version "2.4.0.1">
-<!ENTITY GConf-download-http "http://ftp.gnome.org/pub/GNOME/sources/GConf/2.4/GConf-&GConf-version;.tar.bz2">
-<!ENTITY GConf-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/GConf/2.4/GConf-&GConf-version;.tar.bz2">
-<!ENTITY GConf-size "1.3 MB">
-<!ENTITY GConf-buildsize "24.7 MB">
+<!ENTITY GConf-version "2.6.0">
+<!ENTITY GConf-download-http "http://ftp.gnome.org/pub/GNOME/sources/GConf/2.6/GConf-&GConf-version;.tar.bz2">
+<!ENTITY GConf-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/GConf/2.6/GConf-&GConf-version;.tar.bz2">
+<!ENTITY GConf-size "1.4 MB">
+<!ENTITY GConf-buildsize "27.3 MB">
 <!ENTITY GConf-time "0.56 SBU">
Index: gnome/lib/gtk-doc/gtk-doc.ent
===================================================================
--- gnome/lib/gtk-doc/gtk-doc.ent	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ gnome/lib/gtk-doc/gtk-doc.ent	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -3,8 +3,8 @@
 <!ENTITY gtk-doc-inst SYSTEM "gtk-doc-inst.xml">
 <!ENTITY gtk-doc-desc SYSTEM "gtk-doc-desc.xml">
-<!ENTITY gtk-doc-version "1.1">
-<!ENTITY gtk-doc-download-http "http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.1/gtk-doc-&gtk-doc-version;.tar.bz2">
-<!ENTITY gtk-doc-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.1/gtk-doc-&gtk-doc-version;.tar.bz2">
+<!ENTITY gtk-doc-version "1.2">
+<!ENTITY gtk-doc-download-http "http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.2/gtk-doc-&gtk-doc-version;.tar.bz2">
+<!ENTITY gtk-doc-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.2/gtk-doc-&gtk-doc-version;.tar.bz2">
 <!ENTITY gtk-doc-size "132 KB">
-<!ENTITY gtk-doc-buildsize "1064 KB">
+<!ENTITY gtk-doc-buildsize "1092 KB">
 <!ENTITY gtk-doc-time "0.01 SBU">
Index: gnome/lib/libbonobo/libbonobo.ent
===================================================================
--- gnome/lib/libbonobo/libbonobo.ent	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ gnome/lib/libbonobo/libbonobo.ent	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -4,8 +4,8 @@
 <!ENTITY libbonobo-desc SYSTEM "libbonobo-desc.xml">
 <!ENTITY libbonobo-exp SYSTEM "libbonobo-exp.xml">
-<!ENTITY libbonobo-version "2.4.3">
-<!ENTITY libbonobo-download-http "http://ftp.gnome.org/pub/GNOME/sources/libbonobo/2.4/libbonobo-&libbonobo-version;.tar.bz2">
-<!ENTITY libbonobo-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libbonobo/2.4/libbonobo-&libbonobo-version;.tar.bz2">
-<!ENTITY libbonobo-size "1328 KB">
-<!ENTITY libbonobo-buildsize "55.3 MB">
+<!ENTITY libbonobo-version "2.6.0">
+<!ENTITY libbonobo-download-http "http://ftp.gnome.org/pub/GNOME/sources/libbonobo/2.6/libbonobo-&libbonobo-version;.tar.bz2">
+<!ENTITY libbonobo-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libbonobo/2.6/libbonobo-&libbonobo-version;.tar.bz2">
+<!ENTITY libbonobo-size "1036 KB">
+<!ENTITY libbonobo-buildsize "55.9 MB">
 <!ENTITY libbonobo-time "1.01 SBU">
Index: gnome/lib/orbit/orbit2-exp.xml
===================================================================
--- gnome/lib/orbit/orbit2-exp.xml	(revision 263f3addd701aec76dec9e3f640065cead098994)
+++ gnome/lib/orbit/orbit2-exp.xml	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--prefix=$GNOME_PREFIX</parameter>: This is the Base
+installation for <application>GNOME</application> from which all future
+installations will receive their prefix parameter.  Be sure that 
+<envar>GNOME_PREFIX</envar> is set for this install or globally to your
+install directory as described in the introduction of this Section.</para>
+
+<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
+configuration files in <filename class="directory">/etc/gnome</filename>
+instead of
+<filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
+
+</sect2>
+
Index: gnome/lib/orbit/orbit2-inst.xml
===================================================================
--- gnome/lib/orbit/orbit2-inst.xml	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ gnome/lib/orbit/orbit2-inst.xml	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -4,5 +4,5 @@
 <para>Install <application><acronym>ORB</acronym>it2</application> by running the following commands:</para>
 
-<screen><userinput><command>./configure --prefix=$GNOME_PREFIX &amp;&amp;
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --with-sysconfdir=/etc &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
Index: gnome/lib/orbit/orbit2.ent
===================================================================
--- gnome/lib/orbit/orbit2.ent	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ gnome/lib/orbit/orbit2.ent	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -2,10 +2,11 @@
 <!ENTITY ORBit2-intro SYSTEM "orbit2-intro.xml">
 <!ENTITY ORBit2-inst SYSTEM "orbit2-inst.xml">
+<!ENTITY ORBit2-exp SYSTEM "orbit2-exp.xml">
 <!ENTITY ORBit2-desc SYSTEM "orbit2-desc.xml">
-<!ENTITY ORBit2-version "2.8.3">
+<!ENTITY ORBit2-version "2.10.0">
 <!ENTITY ORBit2-download-http
-"http://ftp.gnome.org/pub/GNOME/sources/ORBit2/2.8/ORBit2-&ORBit2-version;.tar.bz2">
-<!ENTITY ORBit2-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/ORBit2/2.8/ORBit2-&ORBit2-version;.tar.bz2">
-<!ENTITY ORBit2-size "608 KB">
-<!ENTITY ORBit2-buildsize "51.0 MB">
+"http://ftp.gnome.org/pub/GNOME/sources/ORBit2/2.10/ORBit2-&ORBit2-version;.tar.bz2">
+<!ENTITY ORBit2-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/ORBit2/2.10/ORBit2-&ORBit2-version;.tar.bz2">
+<!ENTITY ORBit2-size "632 KB">
+<!ENTITY ORBit2-buildsize "52.0 MB">
 <!ENTITY ORBit2-time "0.96 SBU">
Index: gnome/lib/orbit2.xml
===================================================================
--- gnome/lib/orbit2.xml	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ gnome/lib/orbit2.xml	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -5,4 +5,5 @@
 &ORBit2-intro;
 &ORBit2-inst;
+&ORBit2-exp;
 &ORBit2-desc;
 
Index: index.xml
===================================================================
--- index.xml	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ index.xml	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040330">
-<!ENTITY releasedate "March 30th, 2004">
+<!ENTITY version "CVS-20040401">
+<!ENTITY releasedate "April 1st, 2004">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ introduction/welcome/changelog.xml	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -11,4 +11,10 @@
 
 <itemizedlist>
+
+<listitem><para>April 1st, 2004 [larry]: Updated to gtk-doc-1.2,
+ORBit2-2.10.0, libbonobo-2.6.0 and GConf-2.6.0.</para></listitem>
+
+<listitem><para>April 1st, 2004 [larry]: Updated to DocBook-XML-4.3 and
+DocBook-4.3 (sgml).</para></listitem>
 
 <listitem><para>March 30th, 2004 [tushar]: Fixed compressdoc script so that it can
Index: pst/sgml/sgml-dtd/sgml-dtd-config.xml
===================================================================
--- pst/sgml/sgml-dtd/sgml-dtd-config.xml	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ pst/sgml/sgml-dtd/sgml-dtd-config.xml	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -17,4 +17,5 @@
   -- Begin Single Major Version catalog changes --
 
+PUBLIC "-//OASIS//DTD DocBook V4.2//EN" "docbook.dtd"
 PUBLIC "-//OASIS//DTD DocBook V4.1//EN" "docbook.dtd"
 PUBLIC "-//OASIS//DTD DocBook V4.0//EN" "docbook.dtd"
Index: pst/sgml/sgml-dtd/sgml-dtd.ent
===================================================================
--- pst/sgml/sgml-dtd/sgml-dtd.ent	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ pst/sgml/sgml-dtd/sgml-dtd.ent	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -5,8 +5,8 @@
 <!ENTITY sgml-dtd-config SYSTEM "sgml-dtd-config.xml">
 <!ENTITY sgml-dtd-desc SYSTEM "sgml-dtd-desc.xml">
-<!ENTITY sgml-dtd-version "4.2">
-<!ENTITY sgml-dtd-download-http "http://www.docbook.org/sgml/4.2/docbook-&sgml-dtd-version;.zip">
+<!ENTITY sgml-dtd-version "4.3">
+<!ENTITY sgml-dtd-download-http "http://www.docbook.org/sgml/4.3/docbook-&sgml-dtd-version;.zip">
 <!ENTITY sgml-dtd-download-ftp "ftp://ftp.ibiblio.org/pub/Linux/distributions/rootlinux/ports/x/docbook/docbook-&sgml-dtd-version;.zip">
-<!ENTITY sgml-dtd-size "68 KB">
-<!ENTITY sgml-dtd-buildsize "376 KB">
+<!ENTITY sgml-dtd-size "76 KB">
+<!ENTITY sgml-dtd-buildsize "389 KB">
 <!ENTITY sgml-dtd-time "0.01 SBU">
Index: pst/xml/docbook/docbook.ent
===================================================================
--- pst/xml/docbook/docbook.ent	(revision 6b9ec8d932c001e34df96f52dd7d130be989768c)
+++ pst/xml/docbook/docbook.ent	(revision 263f3addd701aec76dec9e3f640065cead098994)
@@ -4,8 +4,8 @@
 <!ENTITY DocBook-config SYSTEM "docbook-config.xml">
 <!ENTITY DocBook-desc SYSTEM "docbook-desc.xml">
-<!ENTITY DocBook-version "4.2">
-<!ENTITY DocBook-download-http "http://www.docbook.org/xml/4.2/docbook-xml-&DocBook-version;.zip">
+<!ENTITY DocBook-version "4.3">
+<!ENTITY DocBook-download-http "http://www.docbook.org/xml/4.3/docbook-xml-&DocBook-version;.zip">
 <!ENTITY DocBook-download-ftp "ftp://ftp.us.sinuspl.net/pub/src/docbook-xml-&DocBook-version;.zip">
-<!ENTITY DocBook-size "84 KB">
-<!ENTITY DocBook-buildsize "468 KB">
+<!ENTITY DocBook-size "97 KB">
+<!ENTITY DocBook-buildsize "482 KB">
 <!ENTITY DocBook-time "0.01 SBU">