Index: general.ent
===================================================================
--- general.ent	(revision f862e8eff3390b0d4a0dd08f525af4dccfdc289a)
+++ general.ent	(revision 265dc9fb051a44c77e3fbe77f757cab533f8abdd)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "04">                   <!-- Always 2 digits -->
+<!ENTITY day          "06">                   <!-- Always 2 digits -->
 <!ENTITY month        "01">                   <!-- Always 2 digits -->
 <!ENTITY year         "2009">
@@ -377,5 +377,5 @@
 <!-- Part VI -->
 <!-- Chapter 21 -->
-<!ENTITY apache-version               "2.2.8">
+<!ENTITY apache-version               "2.2.11">
 <!-- bind (chapter 19) -->
 <!ENTITY nfs-utils-version            "1.1.4">
Index: general/sysutils/apache-ant.xml
===================================================================
--- general/sysutils/apache-ant.xml	(revision f862e8eff3390b0d4a0dd08f525af4dccfdc289a)
+++ general/sysutils/apache-ant.xml	(revision 265dc9fb051a44c77e3fbe77f757cab533f8abdd)
@@ -6,6 +6,5 @@
 
   <!ENTITY apache-ant-download-http "http://www.apache.org/dist/ant/source/apache-ant-&apache-ant-version;-src.tar.bz2">
-  <!-- <!ENTITY apache-ant-download-ftp  "ftp://ftp.oregonstate.edu/pub/apache/ant/source/apache-ant-&apache-ant-version;-src.tar.bz2"> -->
-  <!ENTITY apache-ant-download-ftp  " ">
+  <!ENTITY apache-ant-download-ftp  "ftp://anduin.linuxfromscratch.org/BLFS/svn/a/apache-ant-&apache-ant-version;-src.tar.bz2">
   <!ENTITY apache-ant-md5sum        "0d68db4a1ada5c91bcbf53cefd0c2fd7">
   <!ENTITY apache-ant-size          "6.8 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision f862e8eff3390b0d4a0dd08f525af4dccfdc289a)
+++ introduction/welcome/changelog.xml	(revision 265dc9fb051a44c77e3fbe77f757cab533f8abdd)
@@ -43,4 +43,16 @@
 
     <listitem>
+      <para>January 6th, 2009</para>
+      <itemizedlist>
+        <listitem>
+          <para>[thomas] - Updated to apache-2.2.11.</para>
+        </listitem>
+        <listitem>
+          <para>[thomas] - Add anduin as download location to Ant.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>January 4th, 2009</para>
       <itemizedlist>
Index: server/major/apache.xml
===================================================================
--- server/major/apache.xml	(revision f862e8eff3390b0d4a0dd08f525af4dccfdc289a)
+++ server/major/apache.xml	(revision 265dc9fb051a44c77e3fbe77f757cab533f8abdd)
@@ -8,6 +8,6 @@
   <!ENTITY apache-download-http "http://archive.apache.org/dist/httpd/httpd-&apache-version;.tar.bz2">
   <!ENTITY apache-download-ftp  "ftp://apache.mirrors.pair.com/httpd/httpd-&apache-version;.tar.bz2">
-  <!ENTITY apache-md5sum        "76d2598a4797163d07cd50e5304aa7cd">
-  <!ENTITY apache-size          "4.6 MB">
+  <!ENTITY apache-md5sum        "3e98bcb14a7122c274d62419566431bb">
+  <!ENTITY apache-size          "4.9 MB">
   <!ENTITY apache-buildsize     "83 MB">
   <!ENTITY apache-time          "2.1 SBU">
@@ -137,4 +137,10 @@
       the parameters shown in the <quote>Command Explanations</quote> section
       below.</para>
+
+      <para>While it is not built by default when using the following commands,
+      the ISAPI DSO module can be created by adding the <option>--enable-isapi</option>
+      option. Even the module will compile, install and load fine, the module is 
+      <emphasis>only</emphasis> supported and functional in Win32
+      environments.</para>
     </note>
 
@@ -247,4 +253,5 @@
       <application>Apache</application> HTTP server configuration file.</para>
 
+<!--
       <para>There's a problem with the ISAPI DSO module caused from compiling
       with <application>GCC</application>-&gcc-version;. If you included the
@@ -254,5 +261,5 @@
 <screen role="root"><userinput>sed -i "s/^LoadModule isapi_module/# &amp;/" \
     /etc/apache/httpd.conf</userinput></screen>
-
+-->
     </sect3>
 