Index: kde/add/add-pkgs.xml
===================================================================
--- kde/add/add-pkgs.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/add/add-pkgs.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -45,5 +45,5 @@
         </listitem>
         <listitem>
-          <para>Kwallet: Credentials management application.</para>
+          <para>Kwalletmanager: Credentials management application.</para>
         </listitem>
         <listitem>
Index: kde/add/ark.xml
===================================================================
--- kde/add/ark.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/add/ark.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,6 +7,6 @@
   <!ENTITY ark-download-http "&kde-download-http;&kde-version;/src/ark-&kde-version;.tar.xz">
   <!ENTITY ark-download-ftp  "&kde-download-ftp;&kde-version;/src/ark-&kde-version;.tar.xz">
-  <!ENTITY ark-md5sum        "147c89e33743a28319c0742a233e2700">
-  <!ENTITY ark-size          "224 KB">
+  <!ENTITY ark-md5sum        "bdc9077cca769bdf676c2892651aa17b">
+  <!ENTITY ark-size          "225 KB">
   <!ENTITY ark-buildsize     "9.9 MB">
   <!ENTITY ark-time          "0.4 SBU">
Index: kde/add/gwenview.xml
===================================================================
--- kde/add/gwenview.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/add/gwenview.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY gwenview-download-http "&kde-download-http;&kde-version;/src/gwenview-&kde-version;.tar.xz">
   <!ENTITY gwenview-download-ftp  "&kde-download-ftp;&kde-version;/src/gwenview-&kde-version;.tar.xz">
-  <!ENTITY gwenview-md5sum        "0cc08e46eb7afcaf2bda53af7ccc391c">
+  <!ENTITY gwenview-md5sum        "ea7690433a5b9bdeb871e79f0989dead">
   <!ENTITY gwenview-size          "2.8 MB">
   <!ENTITY gwenview-buildsize     "25 MB">
Index: kde/add/kate.xml
===================================================================
--- kde/add/kate.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/add/kate.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,6 +7,6 @@
   <!ENTITY kate-download-http "&kde-download-http;&kde-version;/src/kate-&kde-version;.tar.xz">
   <!ENTITY kate-download-ftp  "&kde-download-ftp;&kde-version;/src/kate-&kde-version;.tar.xz">
-  <!ENTITY kate-md5sum        "0a0dcbcfaa8c62765cfed6f9076f7cd1">
-  <!ENTITY kate-size          "2.5 MB">
+  <!ENTITY kate-md5sum        "cdc4424955043025b0b166b81bad2f25">
+  <!ENTITY kate-size          "2.6 MB">
   <!ENTITY kate-buildsize     "79 MB">
   <!ENTITY kate-time          "3.0 SBU">
Index: kde/add/kdepim-runtime.xml
===================================================================
--- kde/add/kdepim-runtime.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/add/kdepim-runtime.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY kdepim-runtime-download-http "&kde-download-http;&kde-version;/src/kdepim-runtime-&kde-version;.tar.xz">
   <!ENTITY kdepim-runtime-download-ftp  "&kde-download-ftp;&kde-version;/src/kdepim-runtime-&kde-version;.tar.xz">
-  <!ENTITY kdepim-runtime-md5sum        "b10a31b7d4d95e4e20d33d0e67c67de6">
+  <!ENTITY kdepim-runtime-md5sum        "22a0122023ffe6ed4fc205ea21d22944">
   <!ENTITY kdepim-runtime-size          "1.1 MB">
   <!ENTITY kdepim-runtime-buildsize     "101 MB">
Index: kde/add/kdepim.xml
===================================================================
--- kde/add/kdepim.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/add/kdepim.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,6 +7,6 @@
   <!ENTITY kdepim-download-http "&kde-download-http;&kde-version;/src/kdepim-&kde-version;.tar.xz">
   <!ENTITY kdepim-download-ftp  "&kde-download-ftp;&kde-version;/src/kdepim-&kde-version;.tar.xz">
-  <!ENTITY kdepim-md5sum        "d21776e0cfcfd3104379b862ef039370">
-  <!ENTITY kdepim-size          "13.5 MB">
+  <!ENTITY kdepim-md5sum        "766100bec2aa83a73b8b9316339db1e0">
+  <!ENTITY kdepim-size          "13.8 MB">
   <!ENTITY kdepim-buildsize     "305 MB">
   <!ENTITY kdepim-time          "18.5 SBU">
Index: kde/add/kdeplasma-addons.xml
===================================================================
--- kde/add/kdeplasma-addons.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/add/kdeplasma-addons.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY kdeplasma-addons-download-http "&kde-download-http;&kde-version;/src/kdeplasma-addons-&kde-version;.tar.xz">
   <!ENTITY kdeplasma-addons-download-ftp  "&kde-download-ftp;&kde-version;/src/kdeplasma-addons-&kde-version;.tar.xz">
-  <!ENTITY kdeplasma-addons-md5sum        "1104a6e01a1088974f06ac6f4cdc7d3f">
+  <!ENTITY kdeplasma-addons-md5sum        "75340aa2eff9fa17a1b52fa280e61ada">
   <!ENTITY kdeplasma-addons-size          "1.7 MB">
   <!ENTITY kdeplasma-addons-buildsize     "73 MB">
Index: kde/add/kmix.xml
===================================================================
--- kde/add/kmix.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/add/kmix.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,6 +7,6 @@
   <!ENTITY kmix-download-http "&kde-download-http;&kde-version;/src/kmix-&kde-version;.tar.xz">
   <!ENTITY kmix-download-ftp  "&kde-download-ftp;&kde-version;/src/kmix-&kde-version;.tar.xz">
-  <!ENTITY kmix-md5sum        "f765534fd7268fcb67d137df60ddd9ef">
-  <!ENTITY kmix-size          "372 KB">
+  <!ENTITY kmix-md5sum        "ce098c21b50128b3eb0aac262acb9221">
+  <!ENTITY kmix-size          "369 KB">
   <!ENTITY kmix-buildsize     "72 MB">
   <!ENTITY kmix-time          "1.1 SBU">
Index: kde/add/konsole.xml
===================================================================
--- kde/add/konsole.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/add/konsole.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,6 +7,6 @@
   <!ENTITY konsole-download-http "&kde-download-http;&kde-version;/src/konsole-&kde-version;.tar.xz">
   <!ENTITY konsole-download-ftp  "&kde-download-ftp;&kde-version;/src/konsole-&kde-version;.tar.xz">
-  <!ENTITY konsole-md5sum        "a01d5bb7afb71b47ed3329744addc08f">
-  <!ENTITY konsole-size          "441 KB">
+  <!ENTITY konsole-md5sum        "c6ca91cfa29afef468b28ea9c5dba8e5">
+  <!ENTITY konsole-size          "445 KB">
   <!ENTITY konsole-buildsize     "12 MB">
   <!ENTITY konsole-time          "0.5 SBU">
Index: kde/add/libkcddb.xml
===================================================================
--- kde/add/libkcddb.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/add/libkcddb.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY libkcddb-download-http "&kde-download-http;&kde-version;/src/libkcddb-&kde-version;.tar.xz">
   <!ENTITY libkcddb-download-ftp  "&kde-download-ftp;&kde-version;/src/libkcddb-&kde-version;.tar.xz">
-  <!ENTITY libkcddb-md5sum        "84e06d05d677bb445cb370d882ce7e87">
+  <!ENTITY libkcddb-md5sum        "587b0dd41c7d88dd694c704d92f7d634">
   <!ENTITY libkcddb-size          "154 KB">
   <!ENTITY libkcddb-buildsize     "7.0 MB">
Index: kde/add/libkexiv2.xml
===================================================================
--- kde/add/libkexiv2.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/add/libkexiv2.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY libkexiv2-download-http "&kde-download-http;&kde-version;/src/libkexiv2-&kde-version;.tar.xz">
   <!ENTITY libkexiv2-download-ftp  "&kde-download-ftp;&kde-version;/src/libkexiv2-&kde-version;.tar.xz">
-  <!ENTITY libkexiv2-md5sum        "038bedbe5130f335fb45da155c5e6201">
+  <!ENTITY libkexiv2-md5sum        "41e2d4e549bfc27caab051c829b49df3">
   <!ENTITY libkexiv2-size          "133 KB">
   <!ENTITY libkexiv2-buildsize     "4.2 MB">
Index: kde/add/okular.xml
===================================================================
--- kde/add/okular.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/add/okular.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY okular-download-http "&kde-download-http;&kde-version;/src/okular-&kde-version;.tar.xz">
   <!ENTITY okular-download-ftp  "&kde-download-ftp;&kde-version;/src/okular-&kde-version;.tar.xz">
-  <!ENTITY okular-md5sum        "2ee124125a9851383af6cdc25314c224">
+  <!ENTITY okular-md5sum        "0cdaedc69575e5842c67072440f49885">
   <!ENTITY okular-size          "1.5 MB">
   <!ENTITY okular-buildsize     "30 MB">
Index: kde/core/core.xml
===================================================================
--- kde/core/core.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/core/core.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -27,8 +27,11 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="oxygen-icons.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kdelibs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kfilemetadata.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kdepimlibs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="baloo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="baloo-widgets.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="polkit-kde-agent.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="nepomuk-core.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="nepomuk-widgets.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kdepimlibs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kactivities.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="kde-runtime.xml"/>
Index: kde/core/kactivities.xml
===================================================================
--- kde/core/kactivities.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/core/kactivities.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY kactivities-download-http "&kde-download-http;&kde-version;/src/kactivities-&kde-version;.tar.xz">
   <!ENTITY kactivities-download-ftp  "&kde-download-ftp;&kde-version;/src/kactivities-&kde-version;.tar.xz">
-  <!ENTITY kactivities-md5sum        "b446703c2e6d85427e8c7dd7e589bed5">
+  <!ENTITY kactivities-md5sum        "383b3195b3dd0c40605d1a67e353975f">
   <!ENTITY kactivities-size          "85 KB">
   <!ENTITY kactivities-buildsize     "10.8 MB">
Index: kde/core/kde-base-artwork.xml
===================================================================
--- kde/core/kde-base-artwork.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/core/kde-base-artwork.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY kde-base-artwork-download-http "&kde-download-http;&kde-version;/src/kde-base-artwork-&kde-version;.tar.xz">
   <!ENTITY kde-base-artwork-download-ftp  "&kde-download-ftp;&kde-version;/src/kde-base-artwork-&kde-version;.tar.xz">
-  <!ENTITY kde-base-artwork-md5sum        "2e8a284624a7fa04a8ddbc39d8e46be1">
+  <!ENTITY kde-base-artwork-md5sum        "272a9bc31e53ee50e54159de727cf1dd">
   <!ENTITY kde-base-artwork-size          "7.1 MB">
   <!ENTITY kde-base-artwork-buildsize     "7.9 MB">
Index: kde/core/kde-baseapps.xml
===================================================================
--- kde/core/kde-baseapps.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/core/kde-baseapps.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY kde-baseapps-download-http "&kde-download-http;&kde-version;/src/kde-baseapps-&kde-version;.tar.xz">
   <!ENTITY kde-baseapps-download-ftp  "&kde-download-ftp;&kde-version;/src/kde-baseapps-&kde-version;.tar.xz">
-  <!ENTITY kde-baseapps-md5sum        "3b53de2c94d35d5f4dbd3645da8204f2">
+  <!ENTITY kde-baseapps-md5sum        "8552f030011cc09ffb5bacd2cd730df9">
   <!ENTITY kde-baseapps-size          "2.4 MB">
   <!ENTITY kde-baseapps-buildsize     "84 MB">
@@ -67,6 +67,8 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-    <xref linkend="kactivities"/> and
-    <xref linkend="nepomuk-widgets"/>
+    <xref linkend="kactivities"/>,
+    <xref linkend="kfilemetadata"/>,
+    <xref linkend="baloo"/> and
+    <xref linkend="baloo-widgets"/>
     </para>
 
Index: kde/core/kde-runtime.xml
===================================================================
--- kde/core/kde-runtime.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/core/kde-runtime.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY kde-runtime-download-http "&kde-download-http;&kde-version;/src/kde-runtime-&kde-version;.tar.xz">
   <!ENTITY kde-runtime-download-ftp  "&kde-download-ftp;&kde-version;/src/kde-runtime-&kde-version;.tar.xz">
-  <!ENTITY kde-runtime-md5sum        "5b832b6d886818c62a6ff7c0488cd689">
+  <!ENTITY kde-runtime-md5sum        "05f2e2b14f19fdd4b224cb081970bf8f">
   <!ENTITY kde-runtime-size          "7.5 MB">
   <!ENTITY kde-runtime-buildsize     "111 MB">
@@ -84,4 +84,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+    <xref linkend="nepomuk-core"/>,
     <xref linkend="gdb"/>,
     <xref linkend="pulseaudio"/>,
Index: kde/core/kde-workspace.xml
===================================================================
--- kde/core/kde-workspace.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/core/kde-workspace.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -5,7 +5,7 @@
   %general-entities;
 
-  <!ENTITY kde-workspace-download-http "&kde-download-http;&kde-version;/src/kde-workspace-&kde-workspace-version;.tar.xz">
-  <!ENTITY kde-workspace-download-ftp  "&kde-download-ftp;&kde-version;/src/kde-workspace-&kde-workspace-version;.tar.xz">
-  <!ENTITY kde-workspace-md5sum        "13bbcd739cddd3311d5695d80eed04e6">
+  <!ENTITY kde-workspace-download-http "&kde-download-http;4.12.4/src/kde-workspace-&kde-workspace-version;.tar.xz">
+  <!ENTITY kde-workspace-download-ftp  "&kde-download-ftp;4.12.4/src/kde-workspace-&kde-workspace-version;.tar.xz">
+  <!ENTITY kde-workspace-md5sum        "b572766a80d7c26db02bf24d5f7cb514">
   <!ENTITY kde-workspace-size          "12.9 MB">
   <!ENTITY kde-workspace-buildsize     "306 MB">
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/core/kdelibs.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY kdelibs-download-http "&kde-download-http;&kde-version;/src/kdelibs-&kde-version;.tar.xz">
   <!ENTITY kdelibs-download-ftp  "&kde-download-ftp;&kde-version;/src/kdelibs-&kde-version;.tar.xz">
-  <!ENTITY kdelibs-md5sum        "56a03b79e6b4a201b200c2d965cce7b2">
+  <!ENTITY kdelibs-md5sum        "8e942f5ca010af69b078bfe549c2e947">
   <!ENTITY kdelibs-size          "11.0 MB">
   <!ENTITY kdelibs-buildsize     "383 MB">
Index: kde/core/kdepimlibs.xml
===================================================================
--- kde/core/kdepimlibs.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/core/kdepimlibs.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,6 +7,6 @@
   <!ENTITY kdepimlibs-download-http "&kde-download-http;&kde-version;/src/kdepimlibs-&kde-version;.tar.xz">
   <!ENTITY kdepimlibs-download-ftp  "&kde-download-ftp;&kde-version;/src/kdepimlibs-&kde-version;.tar.xz">
-  <!ENTITY kdepimlibs-md5sum        "d23293b99e5a6df51b62f96a9441718a">
-  <!ENTITY kdepimlibs-size          "2.6 MB">
+  <!ENTITY kdepimlibs-md5sum        "90c70871a16ad7e10ff80a79dab81541">
+  <!ENTITY kdepimlibs-size          "2.7 MB">
   <!ENTITY kdepimlibs-buildsize     "169 MB">
   <!ENTITY kdepimlibs-time          "8.7 SBU">
@@ -71,5 +71,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-    <xref linkend="nepomuk-core"/>,
+    <xref linkend="kdelibs"/>,
     <xref linkend="libxslt"/>,
     <xref linkend="gpgme"/>,
Index: kde/core/nepomuk-core.xml
===================================================================
--- kde/core/nepomuk-core.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/core/nepomuk-core.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,6 +7,6 @@
   <!ENTITY nepomuk-core-download-http "&kde-download-http;&kde-version;/src/nepomuk-core-&kde-version;.tar.xz">
   <!ENTITY nepomuk-core-download-ftp  "&kde-download-ftp;&kde-version;/src/nepomuk-core-&kde-version;.tar.xz">
-  <!ENTITY nepomuk-core-md5sum        "923361f03ac583b5c04990035dc78890">
-  <!ENTITY nepomuk-core-size          "371 KB">
+  <!ENTITY nepomuk-core-md5sum        "b73d88658f0405d5f705c469d2697a9a">
+  <!ENTITY nepomuk-core-size          "374 KB">
   <!ENTITY nepomuk-core-buildsize     "41 MB">
   <!ENTITY nepomuk-core-time          "1.9 SBU">
@@ -68,4 +68,6 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
+    <xref linkend="kfilemetadata"/>,
+    <xref linkend="baloo"/>,
     <xref linkend="poppler"/>,
     <xref linkend="taglib"/>,
Index: kde/core/nepomuk-widgets.xml
===================================================================
--- kde/core/nepomuk-widgets.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/core/nepomuk-widgets.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY nepomuk-widgets-download-http "&kde-download-http;&kde-version;/src/nepomuk-widgets-&kde-version;.tar.xz">
   <!ENTITY nepomuk-widgets-download-ftp  "&kde-download-ftp;&kde-version;/src/nepomuk-widgets-&kde-version;.tar.xz">
-  <!ENTITY nepomuk-widgets-md5sum        "d265bbb47d719997f358e33c16a22798">
+  <!ENTITY nepomuk-widgets-md5sum        "21f54a8a36dd7396239513190e31d4ef">
   <!ENTITY nepomuk-widgets-size          "48 KB">
   <!ENTITY nepomuk-widgets-buildsize     "3.8 MB">
Index: kde/core/oxygen-icons.xml
===================================================================
--- kde/core/oxygen-icons.xml	(revision 5e0662d8f2d33c37fd71cd7c1520580eb535784b)
+++ kde/core/oxygen-icons.xml	(revision 266a5477fcb97822278b35f3e00c197c18ca629d)
@@ -7,5 +7,5 @@
   <!ENTITY oxygen-icons-download-http "&kde-download-http;&kde-version;/src/oxygen-icons-&kde-version;.tar.xz">
   <!ENTITY oxygen-icons-download-ftp  "&kde-download-ftp;&kde-version;/src/oxygen-icons-&kde-version;.tar.xz">
-  <!ENTITY oxygen-icons-md5sum        "f817409a1bcc458ee82d123576e4c85b">
+  <!ENTITY oxygen-icons-md5sum        "f0f11d95150f2bc5c2d00c4f329abc75">
   <!ENTITY oxygen-icons-size          "219 MB">
   <!ENTITY oxygen-icons-buildsize     "465 MB">