Index: x/installing/libXau.xml
===================================================================
--- x/installing/libXau.xml	(revision d7f908d575ba1184af539431516a001b0314ff01)
+++ x/installing/libXau.xml	(revision 0269d303f46bf5346c9448c9f06fecbf1fe410b5)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY libXau-download-http "http://xorg.freedesktop.org/releases/individual/lib/libXau-&libXau-version;.tar.bz2">
-  <!ENTITY libXau-download-ftp  "ftp://ftp.x.org/pub/individual/lib/libXau-&libXau-version;.tar.bz2">
+  <!ENTITY libXau-download-http "&xorg-download-http;/lib/libXau-&libXau-version;.tar.bz2">
+  <!ENTITY libXau-download-ftp  "&xorg-download-ftp;/lib/libXau-&libXau-version;.tar.bz2">
   <!ENTITY libXau-md5sum        "685f8abbffa6d145c0f930f00703b21b">
   <!ENTITY libXau-size          "289 KB">
Index: x/installing/libXdmcp.xml
===================================================================
--- x/installing/libXdmcp.xml	(revision d7f908d575ba1184af539431516a001b0314ff01)
+++ x/installing/libXdmcp.xml	(revision 0269d303f46bf5346c9448c9f06fecbf1fe410b5)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY libXdmcp-download-http "http://xorg.freedesktop.org/releases/individual/lib/libXdmcp-&libXdmcp-version;.tar.bz2">
-  <!ENTITY libXdmcp-download-ftp  "ftp://ftp.x.org/pub/individual/lib/libXdmcp-&libXdmcp-version;.tar.bz2">
+  <!ENTITY libXdmcp-download-http "&xorg-download-http;/lib/libXdmcp-&libXdmcp-version;.tar.bz2">
+  <!ENTITY libXdmcp-download-ftp  "&xorg-download-ftp;/lib/libXdmcp-&libXdmcp-version;.tar.bz2">
   <!ENTITY libXdmcp-md5sum        "18aa5c1279b01f9d18e3299969665b2e">
   <!ENTITY libXdmcp-size          "324 KB">
Index: x/installing/twm.xml
===================================================================
--- x/installing/twm.xml	(revision d7f908d575ba1184af539431516a001b0314ff01)
+++ x/installing/twm.xml	(revision 0269d303f46bf5346c9448c9f06fecbf1fe410b5)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY twm-download-http "http://xorg.freedesktop.org/releases/individual/app/twm-&twm-version;.tar.bz2">
-  <!ENTITY twm-download-ftp  "ftp://ftp.x.org/pub/individual/app/twm-&twm-version;.tar.bz2">
+  <!ENTITY twm-download-http "&xorg-download-http;/app/twm-&twm-version;.tar.bz2">
+  <!ENTITY twm-download-ftp  "&xorg-download-ftp;/app/twm-&twm-version;.tar.bz2">
   <!ENTITY twm-md5sum        "59a6f076cdacb5f6945dac809bcf4906">
   <!ENTITY twm-size          "280 KB">
Index: x/installing/util-macros.xml
===================================================================
--- x/installing/util-macros.xml	(revision d7f908d575ba1184af539431516a001b0314ff01)
+++ x/installing/util-macros.xml	(revision 0269d303f46bf5346c9448c9f06fecbf1fe410b5)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY util-macros-download-http "http://xorg.freedesktop.org/releases/individual/util/util-macros-&util-macros-version;.tar.bz2">
-  <!ENTITY util-macros-download-ftp  "ftp://ftp.x.org/pub/individual/util/util-macros-&util-macros-version;.tar.bz2">
+  <!ENTITY util-macros-download-http "&xorg-download-http;/util/util-macros-&util-macros-version;.tar.bz2">
+  <!ENTITY util-macros-download-ftp  "&xorg-download-ftp;/util/util-macros-&util-macros-version;.tar.bz2">
   <!ENTITY util-macros-md5sum        "1cf984125e75f8204938d998a8b6c1e1">
   <!ENTITY util-macros-size          "80 KB">
Index: x/installing/x7app.xml
===================================================================
--- x/installing/x7app.xml	(revision d7f908d575ba1184af539431516a001b0314ff01)
+++ x/installing/x7app.xml	(revision 0269d303f46bf5346c9448c9f06fecbf1fe410b5)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY x7apps-download-http "http://xorg.freedesktop.org/releases/individual/app/">
-  <!ENTITY x7apps-download-ftp  "ftp://ftp.x.org/pub/individual/app/">
+  <!ENTITY x7apps-download-http "&xorg-download-http;/app/">
+  <!ENTITY x7apps-download-ftp  "&xorg-download-ftp;/app/">
   <!ENTITY x7apps-size          "4.9 MB">
   <!ENTITY x7apps-buildsize     "51 MB">
@@ -240,5 +240,5 @@
 cd app &amp;&amp;
 grep -v '^#' ../app-&xorg-version;.md5 | awk '{print $2}' | wget -i- -c \
-    -B http://xorg.freedesktop.org/releases/individual/app/ &amp;&amp;
+    -B &xorg-download-http;/app/ &amp;&amp;
 md5sum -c ../app-&xorg-version;.md5</userinput></screen>
 
Index: x/installing/x7font.xml
===================================================================
--- x/installing/x7font.xml	(revision d7f908d575ba1184af539431516a001b0314ff01)
+++ x/installing/x7font.xml	(revision 0269d303f46bf5346c9448c9f06fecbf1fe410b5)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY x7fonts-download-http "http://xorg.freedesktop.org/releases/individual/font/">
-  <!ENTITY x7fonts-download-ftp  "ftp://ftp.x.org/pub/individual/font/">
+  <!ENTITY x7fonts-download-http "&xorg-download-http;/font/">
+  <!ENTITY x7fonts-download-ftp  "&xorg-download-ftp;/font/">
   <!ENTITY x7fonts-size          "15.0 MB">
   <!ENTITY x7fonts-buildsize     "278 MB">
@@ -229,5 +229,5 @@
 cd font &amp;&amp;
 grep -v '^#' ../font-&xorg-version;.md5 | awk '{print $2}' | wget -i- -c \
-    -B http://xorg.freedesktop.org/releases/individual/font/ &amp;&amp;
+    -B &xorg-download-http;/font/ &amp;&amp;
 md5sum -c ../font-&xorg-version;.md5</userinput></screen>
 
Index: x/installing/x7lib.xml
===================================================================
--- x/installing/x7lib.xml	(revision d7f908d575ba1184af539431516a001b0314ff01)
+++ x/installing/x7lib.xml	(revision 0269d303f46bf5346c9448c9f06fecbf1fe410b5)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY x7libs-download-http "http://xorg.freedesktop.org/releases/individual/lib/">
-  <!ENTITY x7libs-download-ftp  "ftp://ftp.x.org/pub/individual/lib/">
+  <!ENTITY x7libs-download-http "&xorg-download-http;/lib/">
+  <!ENTITY x7libs-download-ftp  "&xorg-download-ftp;/lib/">
   <!ENTITY x7libs-size          "13 MB">
   <!ENTITY x7libs-buildsize     "239 MB">
@@ -217,5 +217,5 @@
 cd lib &amp;&amp;
 grep -v '^#' ../lib-&xorg-version;.md5 | awk '{print $2}' | wget -i- -c \
-    -B http://xorg.freedesktop.org/releases/individual/lib/ &amp;&amp;
+    -B &xorg-download-http;/lib/ &amp;&amp;
 md5sum -c ../lib-&xorg-version;.md5</userinput></screen>
 
Index: x/installing/x7proto.xml
===================================================================
--- x/installing/x7proto.xml	(revision d7f908d575ba1184af539431516a001b0314ff01)
+++ x/installing/x7proto.xml	(revision 0269d303f46bf5346c9448c9f06fecbf1fe410b5)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY x7proto-download-http "http://xorg.freedesktop.org/releases/individual/proto/">
-  <!ENTITY x7proto-download-ftp  "ftp://ftp.x.org/pub/individual/proto/">
+  <!ENTITY x7proto-download-http "&xorg-download-http;/proto/">
+  <!ENTITY x7proto-download-ftp  "&xorg-download-ftp;/proto/">
   <!ENTITY x7proto-size          "3.3 MB">
   <!ENTITY x7proto-buildsize     "26 MB">
@@ -202,5 +202,5 @@
 cd proto &amp;&amp;
 grep -v '^#' ../proto-&xorg-version;.md5 | awk '{print $2}' | wget -i- -c \
-    -B http://xorg.freedesktop.org/releases/individual/proto/ &amp;&amp;
+    -B &xorg-download-http;/proto/ &amp;&amp;
 md5sum -c ../proto-&xorg-version;.md5</userinput></screen>
 
Index: x/installing/xclock.xml
===================================================================
--- x/installing/xclock.xml	(revision d7f908d575ba1184af539431516a001b0314ff01)
+++ x/installing/xclock.xml	(revision 0269d303f46bf5346c9448c9f06fecbf1fe410b5)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY xclock-download-http "http://xorg.freedesktop.org/releases/individual/app/xclock-&xclock-version;.tar.bz2">
-  <!ENTITY xclock-download-ftp  "ftp://ftp.x.org/pub/individual/app/xclock-&xclock-version;.tar.bz2">
+  <!ENTITY xclock-download-http "&xorg-download-http;/app/xclock-&xclock-version;.tar.bz2">
+  <!ENTITY xclock-download-ftp  "&xorg-download-ftp;/app/xclock-&xclock-version;.tar.bz2">
   <!ENTITY xclock-md5sum        "6f150d063b20d08030b98c45b9bee7af">
   <!ENTITY xclock-size          "161 KB">
Index: x/installing/xinit.xml
===================================================================
--- x/installing/xinit.xml	(revision d7f908d575ba1184af539431516a001b0314ff01)
+++ x/installing/xinit.xml	(revision 0269d303f46bf5346c9448c9f06fecbf1fe410b5)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY xinit-download-http "http://xorg.freedesktop.org/releases/individual/app/xinit-&xinit-version;.tar.bz2">
-  <!ENTITY xinit-download-ftp  "ftp://ftp.x.org/pub/individual/app/xinit-&xinit-version;.tar.bz2">
+  <!ENTITY xinit-download-http "&xorg-download-http;/app/xinit-&xinit-version;.tar.bz2">
+  <!ENTITY xinit-download-ftp  "&xorg-download-ftp;/app/xinit-&xinit-version;.tar.bz2">
   <!ENTITY xinit-md5sum        "4e928452dfaf73851413a2d8b8c76388">
   <!ENTITY xinit-size          "162 KB">