Index: gnome/applications/baobab.xml
===================================================================
--- gnome/applications/baobab.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/baobab.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -78,7 +78,4 @@
     </para>
 
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/baobab"/>
-    </para>
   </sect2>
 
Index: gnome/applications/file-roller.xml
===================================================================
--- gnome/applications/file-roller.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/file-roller.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -109,7 +109,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/file-roller"/>
-    </para>
   </sect2>
 
Index: gnome/applications/gnome-calculator.xml
===================================================================
--- gnome/applications/gnome-calculator.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/gnome-calculator.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -88,7 +88,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-calculator"/>
-    </para>
   </sect2>
 
Index: gnome/applications/gnome-color-manager.xml
===================================================================
--- gnome/applications/gnome-color-manager.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/gnome-color-manager.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -93,7 +93,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-color-manager"/>
-    </para>
   </sect2>
 
Index: gnome/applications/gnome-disk-utility.xml
===================================================================
--- gnome/applications/gnome-disk-utility.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/gnome-disk-utility.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -87,7 +87,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-disk-utility"/>
-    </para>
   </sect2>
 
Index: gnome/applications/gnome-logs.xml
===================================================================
--- gnome/applications/gnome-logs.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/gnome-logs.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -92,7 +92,4 @@
     </para>
 
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/gnome-logs"/>
-    </para>
   </sect2>
 
Index: gnome/applications/gnome-maps.xml
===================================================================
--- gnome/applications/gnome-maps.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/gnome-maps.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -83,7 +83,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-maps"/>
-    </para>
   </sect2>
 
Index: gnome/applications/gnome-nettool.xml
===================================================================
--- gnome/applications/gnome-nettool.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/gnome-nettool.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -98,7 +98,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-nettool"/>
-    </para>
   </sect2>
 
Index: gnome/applications/gnome-power-manager.xml
===================================================================
--- gnome/applications/gnome-power-manager.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/gnome-power-manager.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -84,7 +84,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-power-manager"/>
-    </para>
   </sect2>
 
Index: gnome/applications/gnome-screenshot.xml
===================================================================
--- gnome/applications/gnome-screenshot.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/gnome-screenshot.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -79,7 +79,4 @@
     </para>
 
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/gnome-screenshot"/>
-    </para>
   </sect2>
 
Index: gnome/applications/gnome-system-monitor.xml
===================================================================
--- gnome/applications/gnome-system-monitor.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/gnome-system-monitor.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -88,7 +88,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-system-monitor"/>
-    </para>
   </sect2>
 
Index: gnome/applications/gnome-terminal.xml
===================================================================
--- gnome/applications/gnome-terminal.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/gnome-terminal.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -93,7 +93,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-terminal"/>
-    </para>
 
   </sect2>
Index: gnome/applications/gnome-weather.xml
===================================================================
--- gnome/applications/gnome-weather.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/applications/gnome-weather.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -87,7 +87,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-weather"/>
-    </para>
   </sect2>
 
Index: gnome/platform/geocode-glib.xml
===================================================================
--- gnome/platform/geocode-glib.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/geocode-glib.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -89,7 +89,4 @@
     </para>
 
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/geocode-glib"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gexiv2.xml
===================================================================
--- gnome/platform/gexiv2.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gexiv2.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -100,7 +100,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gexiv2"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-autoar.xml
===================================================================
--- gnome/platform/gnome-autoar.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-autoar.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -85,7 +85,4 @@
     </para>
 
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/gnome-autoar"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-backgrounds.xml
===================================================================
--- gnome/platform/gnome-backgrounds.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-backgrounds.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -72,7 +72,4 @@
     </itemizedlist>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-backgrounds"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-bluetooth.xml
===================================================================
--- gnome/platform/gnome-bluetooth.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-bluetooth.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -97,7 +97,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-bluetooth"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-control-center.xml
===================================================================
--- gnome/platform/gnome-control-center.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-control-center.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -127,7 +127,4 @@
     </note>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-control-center"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-desktop.xml
===================================================================
--- gnome/platform/gnome-desktop.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-desktop.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -94,7 +94,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-desktop"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-keyring.xml
===================================================================
--- gnome/platform/gnome-keyring.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-keyring.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -94,7 +94,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-keyring"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-menus.xml
===================================================================
--- gnome/platform/gnome-menus.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-menus.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -85,7 +85,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-menus"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-online-accounts.xml
===================================================================
--- gnome/platform/gnome-online-accounts.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-online-accounts.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -95,7 +95,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-online-accounts"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-session.xml
===================================================================
--- gnome/platform/gnome-session.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-session.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -90,7 +90,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-session"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-settings-daemon.xml
===================================================================
--- gnome/platform/gnome-settings-daemon.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-settings-daemon.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -124,7 +124,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-settings-daemon"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-shell-extensions.xml
===================================================================
--- gnome/platform/gnome-shell-extensions.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-shell-extensions.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -84,7 +84,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-shell-extensions"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-shell.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -132,7 +132,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-shell"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-tweaks.xml
===================================================================
--- gnome/platform/gnome-tweaks.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-tweaks.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -92,7 +92,4 @@
     </para>
 
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/gnome-tweaks"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-user-docs.xml
===================================================================
--- gnome/platform/gnome-user-docs.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-user-docs.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -77,7 +77,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-user-docs"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gnome-video-effects.xml
===================================================================
--- gnome/platform/gnome-video-effects.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gnome-video-effects.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -69,7 +69,4 @@
     </itemizedlist>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gnome-video-effects"/>
-    </para>
   </sect2>
 
Index: gnome/platform/gsettings-desktop-schemas.xml
===================================================================
--- gnome/platform/gsettings-desktop-schemas.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/gsettings-desktop-schemas.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -77,7 +77,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/gsettings-desktop-schemas"/>
-    </para>
   </sect2>
 
Index: gnome/platform/libchamplain.xml
===================================================================
--- gnome/platform/libchamplain.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/libchamplain.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -91,7 +91,4 @@
     </para>
 
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/libchamplain"/>
-    </para>
   </sect2>
 
Index: gnome/platform/libsecret.xml
===================================================================
--- gnome/platform/libsecret.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/libsecret.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -113,7 +113,4 @@
     </note>
 
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/libsecret"/>
-    </para>
   </sect2>
 
Index: gnome/platform/libshumate.xml
===================================================================
--- gnome/platform/libshumate.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/libshumate.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -80,7 +80,4 @@
     </para>
 
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/libshumate"/>
-    </para>
   </sect2>
 
Index: gnome/platform/rest.xml
===================================================================
--- gnome/platform/rest.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/rest.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -91,7 +91,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/rest"/>
-    </para>
   </sect2>
 
Index: gnome/platform/tracker3.xml
===================================================================
--- gnome/platform/tracker3.xml	(revision cb594b6ca3ed97004a9141e12d1f8419cf0272ed)
+++ gnome/platform/tracker3.xml	(revision 274ac6837fe11d032aea941fc711e7c682b0c4c0)
@@ -115,7 +115,4 @@
     </para>
 
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/tracker3"/>
-    </para>
   </sect2>
 