Index: general/prog/perl-modules/perl-net-dns.xml
===================================================================
--- general/prog/perl-modules/perl-net-dns.xml	(revision ca0ee4a564169e17f2823ea3a6ddf3af37433acd)
+++ general/prog/perl-modules/perl-net-dns.xml	(revision 277c34cf2c0176f5f329d1f4e6f0dde1331815bb)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&perl_authors;/id/N/NL/NLNETLABS/Net-DNS-&Net-DNS-version;.tar.gz">
-  <!ENTITY my-md5sum "565d3ae163591f3da7e1a20827b73c28">
+  <!ENTITY my-md5sum "91e8593eb6eed41995e6edc567fb6fec">
 
 ]>
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision ca0ee4a564169e17f2823ea3a6ddf3af37433acd)
+++ general/prog/php.xml	(revision 277c34cf2c0176f5f329d1f4e6f0dde1331815bb)
@@ -7,7 +7,7 @@
   <!ENTITY php-download-http "http://www.php.net/distributions/php-&php-version;.tar.xz">
   <!ENTITY php-download-ftp  " ">
-  <!ENTITY php-md5sum        "a8ffc4e51d8db006f5d53e7dd432ab46">
+  <!ENTITY php-md5sum        "9063f6d55bdf09e494001bed9de54203">
   <!ENTITY php-size          "12 MB">
-  <!ENTITY php-buildsize     "580 MB (add 2 MB for tests, add 112 MB for documentation)">
+  <!ENTITY php-buildsize     "581 MB (add 2 MB for tests, add 112 MB for documentation)">
   <!ENTITY php-time          "1.9 SBU (with parallelism=4; add 2.6 SBU for tests)">
 ]>
Index: general/sysutils/logrotate.xml
===================================================================
--- general/sysutils/logrotate.xml	(revision ca0ee4a564169e17f2823ea3a6ddf3af37433acd)
+++ general/sysutils/logrotate.xml	(revision 277c34cf2c0176f5f329d1f4e6f0dde1331815bb)
@@ -7,8 +7,8 @@
   <!ENTITY logrotate-download-http "https://github.com/logrotate/logrotate/releases/download/&logrotate-version;/logrotate-&logrotate-version;.tar.xz">
   <!ENTITY logrotate-download-ftp  " ">
-  <!ENTITY logrotate-md5sum        "320046f0b9fc38337e8827d4c5a866a0">
+  <!ENTITY logrotate-md5sum        "afe109afea749c306ff489203fde6beb">
   <!ENTITY logrotate-size          "156 KB">
-  <!ENTITY logrotate-buildsize     "4.9 MB">
-  <!ENTITY logrotate-time          "0.1 SBU (with tests)">
+  <!ENTITY logrotate-buildsize     "5.0 MB">
+  <!ENTITY logrotate-time          "0.2 SBU (with tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ca0ee4a564169e17f2823ea3a6ddf3af37433acd)
+++ introduction/welcome/changelog.xml	(revision 277c34cf2c0176f5f329d1f4e6f0dde1331815bb)
@@ -47,4 +47,24 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to Net-DNS-1.21 (Perl Module). Fixes
+          <ulink url="&blfs-ticket-root;12464">#12464</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to logrotate-3.15.1. Fixes
+          <ulink url="&blfs-ticket-root;12462">#12462</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to php-7.3.9. Fixes
+          <ulink url="&blfs-ticket-root;12460">#12460</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to links-2.20.1. Fixes
+          <ulink url="&blfs-ticket-root;12457">#12457</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to emacs-26.3. Fixes
+          <ulink url="&blfs-ticket-root;12454">#12454</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to glib-2.60.7. Fixes
           <ulink url="&blfs-ticket-root;12471">#12471</ulink>.</para>
Index: networking/textweb/links.xml
===================================================================
--- networking/textweb/links.xml	(revision ca0ee4a564169e17f2823ea3a6ddf3af37433acd)
+++ networking/textweb/links.xml	(revision 277c34cf2c0176f5f329d1f4e6f0dde1331815bb)
@@ -7,8 +7,8 @@
   <!ENTITY links-download-http "http://links.twibright.com/download/links-&links-version;.tar.bz2">
   <!ENTITY links-download-ftp  " ">
-  <!ENTITY links-md5sum        "fa6df86919640e490187ee9d85a4f598">
+  <!ENTITY links-md5sum        "1e85d21d7ee75fa32069c29a2f5dccda">
   <!ENTITY links-size          "6.2 MB">
-  <!ENTITY links-buildsize     "46 MB (with --enable-graphics)">
-  <!ENTITY links-time          "0.4 SBU (with --enable-graphics)">
+  <!ENTITY links-buildsize     "36 MB">
+  <!ENTITY links-time          "0.3 SBU">
 ]>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision ca0ee4a564169e17f2823ea3a6ddf3af37433acd)
+++ packages.ent	(revision 277c34cf2c0176f5f329d1f4e6f0dde1331815bb)
@@ -61,5 +61,5 @@
 <!ENTITY bluefish-version             "2.2.10">
 <!ENTITY ed-version                   "1.15">
-<!ENTITY emacs-version                "26.2">
+<!ENTITY emacs-version                "26.3">
 <!ENTITY gedit-version                "3.32.2">
 <!ENTITY joe-version                  "4.6">
@@ -276,5 +276,5 @@
 <!ENTITY hdwids-version               "20141022">
 <!ENTITY lm_sensors-version           "3.4.0">
-<!ENTITY logrotate-version            "3.15.0">
+<!ENTITY logrotate-version            "3.15.1">
 <!ENTITY lsb-tools-version            "0.3">
 <!ENTITY mc-version                   "4.8.23">
@@ -329,5 +329,5 @@
 <!ENTITY ninja-version                "1.9.0">
 <!ENTITY npapi-sdk-version            "0.27.2">
-<!ENTITY php-version                  "7.3.8">
+<!ENTITY php-version                  "7.3.9">
 <!ENTITY python2-version              "2.7.16">
 <!ENTITY python3-version              "3.7.4">
@@ -392,5 +392,5 @@
 <!ENTITY LWP-Protocol-https-version   "6.07">
 <!ENTITY Module-Build-version         "0.4229">
-<!ENTITY Net-DNS-version              "1.20">
+<!ENTITY Net-DNS-version              "1.21">
 <!ENTITY Parse-Yapp-version           "1.21">
 <!ENTITY PerlIO-utf8_strict-version   "0.007">
@@ -594,5 +594,5 @@
 
 <!-- Chapter 18 -->
-<!ENTITY links-version                "2.19">
+<!ENTITY links-version                "2.20.1">
 <!ENTITY lynx-version                 "2.8.9rel.1">
 <!ENTITY w3m-version                  "0.5.3">
Index: postlfs/editors/emacs.xml
===================================================================
--- postlfs/editors/emacs.xml	(revision ca0ee4a564169e17f2823ea3a6ddf3af37433acd)
+++ postlfs/editors/emacs.xml	(revision 277c34cf2c0176f5f329d1f4e6f0dde1331815bb)
@@ -8,5 +8,5 @@
   <!ENTITY emacs-download-ftp  "&gnu-ftp;/emacs/emacs-&emacs-version;.tar.xz"> 
   <!ENTITY emacs-download-ftp  " "> 
-  <!ENTITY emacs-md5sum        "02ba7003f14957529bcd05cfc3ebb754">
+  <!ENTITY emacs-md5sum        "0a2e4b965d31a7cb1930eae3b79df793">
   <!ENTITY emacs-size          "42 MB">
   <!ENTITY emacs-buildsize     "434 MB">