Index: general.ent
===================================================================
--- general.ent	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ general.ent	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "20">                   <!-- Always 2 digits -->
+<!ENTITY day          "21">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "October 20th, &year;">
+<!ENTITY releasedate  "October 21st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/sysutils/modemmanager.xml
===================================================================
--- general/sysutils/modemmanager.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ general/sysutils/modemmanager.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -7,7 +7,7 @@
   <!ENTITY ModemManager-download-http "https://www.freedesktop.org/software/ModemManager/ModemManager-&ModemManager-version;.tar.xz">
   <!ENTITY ModemManager-download-ftp  " ">
-  <!ENTITY ModemManager-md5sum        "3a4a94376ca6e8dbfb964394022f7a0e">
+  <!ENTITY ModemManager-md5sum        "fdeef6399ab8937e5e0e09740d4a6585">
   <!ENTITY ModemManager-size          "2.3 MB">
-  <!ENTITY ModemManager-buildsize     "138 MB (with tests)">
+  <!ENTITY ModemManager-buildsize     "139 MB (with tests)">
   <!ENTITY ModemManager-time          "0.5 SBU (Using parallelism=4; with tests)">
 ]>
@@ -148,6 +148,7 @@
 
     <para>
-      <parameter>--with-systemd-journal</parameter>: This switch forces
-      <application>ModemManager</application>
+      <phrase revision="systemd"><parameter>--with-systemd-journal</parameter></phrase>
+      <phrase revision="sysv"><parameter>--with-systemd-journal=no</parameter></phrase>
+      : This switch forces <application>ModemManager</application>
       <phrase revision="sysv">not</phrase> to use the systemd journal for
       logging.
Index: gnome.ent
===================================================================
--- gnome.ent	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ gnome.ent	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -80,17 +80,17 @@
 <!ENTITY eog-version                       "3.38.0">
 <!ENTITY evince-version                    "3.38.0">
-<!ENTITY evolution-version                 "3.36.5">
-<!ENTITY file-roller-version               "3.36.3">
+<!ENTITY evolution-version                 "3.38.1">
+<!ENTITY file-roller-version               "3.38.0">
 <!-- gedit moved to Editors, so it's now in packages.ent -->
-<!ENTITY gnome-calculator-version          "3.36.0">
+<!ENTITY gnome-calculator-version          "3.38.1">
 <!ENTITY gnome-color-manager-version       "3.36.0">
-<!ENTITY gnome-disk-utility-version        "3.36.3">
+<!ENTITY gnome-disk-utility-version        "3.38.0">
 <!ENTITY gnome-logs-version                "3.36.0">
-<!ENTITY gnome-maps-version                "3.36.4">
+<!ENTITY gnome-maps-version                "3.38.1.1">
 <!ENTITY gnome-nettool-version             "3.8.1">
 <!ENTITY gnome-power-manager-version       "3.32.0">
-<!ENTITY gnome-screenshot-version          "3.36.0">
-<!ENTITY gnome-system-monitor-version      "3.36.1">
-<!ENTITY gnome-terminal-version            "3.36.2">
+<!ENTITY gnome-screenshot-version          "3.38.0">
+<!ENTITY gnome-system-monitor-version      "3.38.0">
+<!ENTITY gnome-terminal-version            "3.38.1">
 <!ENTITY gnome-tweaks-version              "3.34.0">
 <!ENTITY gnome-weather-version             "3.36.1">
Index: gnome/applications/evolution.xml
===================================================================
--- gnome/applications/evolution.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ gnome/applications/evolution.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -5,7 +5,7 @@
   %general-entities;
 
-  <!ENTITY evolution-download-http "&gnome-download-http;/evolution/&gnome-minor-36;/evolution-&evolution-version;.tar.xz">
-  <!ENTITY evolution-download-ftp  "&gnome-download-ftp;/evolution/&gnome-minor-36;/evolution-&evolution-version;.tar.xz">
-  <!ENTITY evolution-md5sum        "600368015f20cc256c2f1a94e60ed455">
+  <!ENTITY evolution-download-http "&gnome-download-http;/evolution/&gnome-minor-38;/evolution-&evolution-version;.tar.xz">
+  <!ENTITY evolution-download-ftp  "&gnome-download-ftp;/evolution/&gnome-minor-38;/evolution-&evolution-version;.tar.xz">
+  <!ENTITY evolution-md5sum        "afa3559b484d616a3c33858692dea431">
   <!ENTITY evolution-size          "12 MB">
   <!ENTITY evolution-buildsize     "342 MB">
Index: gnome/applications/file-roller.xml
===================================================================
--- gnome/applications/file-roller.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ gnome/applications/file-roller.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -6,9 +6,9 @@
 
   <!ENTITY file-roller-download-http
-           "&gnome-download-http;/file-roller/&gnome-minor-36;/file-roller-&file-roller-version;.tar.xz">
+           "&gnome-download-http;/file-roller/&gnome-minor-38;/file-roller-&file-roller-version;.tar.xz">
   <!ENTITY file-roller-download-ftp
-           "&gnome-download-ftp;/file-roller/&gnome-minor-36;/file-roller-&file-roller-version;.tar.xz">
-  <!ENTITY file-roller-md5sum        "1cadd4b42837d848e5d2da191f4112d6">
-  <!ENTITY file-roller-size          "850 KB">
+           "&gnome-download-ftp;/file-roller/&gnome-minor-38;/file-roller-&file-roller-version;.tar.xz">
+  <!ENTITY file-roller-md5sum        "41ee373818d577659980dcdaf57b772a">
+  <!ENTITY file-roller-size          "860 KB">
   <!ENTITY file-roller-buildsize     "25 MB">
   <!ENTITY file-roller-time          "0.1 SBU (Using parallelism=4)">
Index: gnome/applications/gnome-calculator.xml
===================================================================
--- gnome/applications/gnome-calculator.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ gnome/applications/gnome-calculator.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -6,9 +6,9 @@
 
   <!ENTITY gnome-calculator-download-http
-           "&gnome-download-http;/gnome-calculator/&gnome-minor-36;/gnome-calculator-&gnome-calculator-version;.tar.xz">
+           "&gnome-download-http;/gnome-calculator/&gnome-minor-38;/gnome-calculator-&gnome-calculator-version;.tar.xz">
   <!ENTITY gnome-calculator-download-ftp
-           "&gnome-download-ftp;/gnome-calculator/&gnome-minor-36;/gnome-calculator-&gnome-calculator-version;.tar.xz">
-  <!ENTITY gnome-calculator-md5sum        "71854fb58671b4a88ac990e2f2439e4f">
-  <!ENTITY gnome-calculator-size          "964 KB">
+           "&gnome-download-ftp;/gnome-calculator/&gnome-minor-38;/gnome-calculator-&gnome-calculator-version;.tar.xz">
+  <!ENTITY gnome-calculator-md5sum        "1fadcd71b55963324cc5cc2ee8543131">
+  <!ENTITY gnome-calculator-size          "984 KB">
   <!ENTITY gnome-calculator-buildsize     "53 MB (with tests)">
   <!ENTITY gnome-calculator-time          "0.3 SBU (with tests)">
Index: gnome/applications/gnome-disk-utility.xml
===================================================================
--- gnome/applications/gnome-disk-utility.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ gnome/applications/gnome-disk-utility.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-disk-utility-download-http
-           "&gnome-download-http;/gnome-disk-utility/&gnome-minor-36;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
+           "&gnome-download-http;/gnome-disk-utility/&gnome-minor-38;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
   <!ENTITY gnome-disk-utility-download-ftp
-           "&gnome-download-ftp;/gnome-disk-utility/&gnome-minor-36;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
-  <!ENTITY gnome-disk-utility-md5sum        "202e8f4aeb216c4f5b501e4b1b232be2">
+           "&gnome-download-ftp;/gnome-disk-utility/&gnome-minor-38;/gnome-disk-utility-&gnome-disk-utility-version;.tar.xz">
+  <!ENTITY gnome-disk-utility-md5sum        "d5d7d3f31e13fd88959069f3bec9e69d">
   <!ENTITY gnome-disk-utility-size          "1.3 MB">
   <!ENTITY gnome-disk-utility-buildsize     "36 MB">
-  <!ENTITY gnome-disk-utility-time          "0.1 SBU (Using parallelism=4)">
+  <!ENTITY gnome-disk-utility-time          "0.1 SBU (with parallelism=4)">
 ]>
 
Index: gnome/applications/gnome-maps.xml
===================================================================
--- gnome/applications/gnome-maps.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ gnome/applications/gnome-maps.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-maps-download-http
-           "&gnome-download-http;/gnome-maps/&gnome-minor-36;/gnome-maps-&gnome-maps-version;.tar.xz">
+           "&gnome-download-http;/gnome-maps/&gnome-minor-38;/gnome-maps-&gnome-maps-version;.tar.xz">
   <!ENTITY gnome-maps-download-ftp
-           "&gnome-download-ftp;/gnome-maps/&gnome-minor-36;/gnome-maps-&gnome-maps-version;.tar.xz">
-  <!ENTITY gnome-maps-md5sum        "aa82dbb45fa8c0ee0c6254f0065bdab2">
+           "&gnome-download-ftp;/gnome-maps/&gnome-minor-38;/gnome-maps-&gnome-maps-version;.tar.xz">
+  <!ENTITY gnome-maps-md5sum        "c89473632e863a7d9bfa78eda0771c11">
   <!ENTITY gnome-maps-size          "3.8 MB">
-  <!ENTITY gnome-maps-buildsize     "16 MB">
+  <!ENTITY gnome-maps-buildsize     "17 MB">
   <!ENTITY gnome-maps-time          "0.1 SBU">
 ]>
Index: gnome/applications/gnome-nettool.xml
===================================================================
--- gnome/applications/gnome-nettool.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ gnome/applications/gnome-nettool.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -74,4 +74,14 @@
     </itemizedlist>
 
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/gnome-nettool-&gnome-nettool-version;-ping_and_netstat_fixes-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
     <bridgehead renderas="sect3">GNOME Nettool Dependencies</bridgehead>
 
@@ -101,11 +111,17 @@
 
     <para>
+      First, adapt <application>GNOME Nettool</application> to changes in the
+      <application>ping</application>, <application>ping6</application>, and
+      <application>netstat</application> utilities:
+    </para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../gnome-nettool-&gnome-nettool-version;-ping_and_netstat_fixes-1.patch</userinput></screen>
+
+    <para>
       Install <application>GNOME Nettool</application> by running
       the following commands:
     </para>
 
-<screen><userinput>sed -i 's/%s ping/%s/' src/ping.h &amp;&amp;
-sed -i '27 s/%s6/%s /' src/ping.h &amp;&amp;
-./configure --prefix=/usr &amp;&amp;
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
Index: gnome/applications/gnome-screenshot.xml
===================================================================
--- gnome/applications/gnome-screenshot.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ gnome/applications/gnome-screenshot.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-screenshot-download-http
-           "&gnome-download-http;/gnome-screenshot/&gnome-minor-36;/gnome-screenshot-&gnome-screenshot-version;.tar.xz">
+           "&gnome-download-http;/gnome-screenshot/&gnome-minor-38;/gnome-screenshot-&gnome-screenshot-version;.tar.xz">
   <!ENTITY gnome-screenshot-download-ftp
-           "&gnome-download-ftp;/gnome-screenshot/&gnome-minor-36;/gnome-screenshot-&gnome-screenshot-version;.tar.xz">
-  <!ENTITY gnome-screenshot-md5sum        "27fb11f693fa7bd2d10df636f5ba1c5e">
-  <!ENTITY gnome-screenshot-size          "228 KB">
-  <!ENTITY gnome-screenshot-buildsize     "6.5 MB">
+           "&gnome-download-ftp;/gnome-screenshot/&gnome-minor-38;/gnome-screenshot-&gnome-screenshot-version;.tar.xz">
+  <!ENTITY gnome-screenshot-md5sum        "6550491108355c9d991e90b735ef3908">
+  <!ENTITY gnome-screenshot-size          "352 KB">
+  <!ENTITY gnome-screenshot-buildsize     "6.6 MB">
   <!ENTITY gnome-screenshot-time          "less than 0.1 SBU">
 ]>
@@ -78,6 +78,7 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="gtk3"/> and
-      <xref linkend="libcanberra"/> (Compiled with GTK+3 support).
+      <xref linkend="gtk3"/>,
+      <xref linkend="libcanberra"/> (Compiled with GTK+3 support). and
+      <xref linkend="libhandy1"/>
     </para>
 
@@ -114,5 +115,5 @@
       <para>
         In order to best run <application>GNOME Screenshot</application>
-        from the command line, the --interactive option needs to be specified.
+        from the command line, the -i option needs to be specified.
       </para>
     </note>
Index: gnome/applications/gnome-system-monitor.xml
===================================================================
--- gnome/applications/gnome-system-monitor.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ gnome/applications/gnome-system-monitor.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -6,11 +6,11 @@
 
   <!ENTITY gnome-system-monitor-download-http
-      "&gnome-download-http;/gnome-system-monitor/&gnome-minor-36;/gnome-system-monitor-&gnome-system-monitor-version;.tar.xz">
+           "&gnome-download-http;/gnome-system-monitor/&gnome-minor-38;/gnome-system-monitor-&gnome-system-monitor-version;.tar.xz">
   <!ENTITY gnome-system-monitor-download-ftp
-           "&gnome-download-ftp;/gnome-system-monitor/&gnome-minor-36;/gnome-system-monitor-&gnome-system-monitor-version;.tar.xz">
-  <!ENTITY gnome-system-monitor-md5sum        "b1443ab12c3b7bcca940d28754e5b948">
-  <!ENTITY gnome-system-monitor-size          "689 KB">
-  <!ENTITY gnome-system-monitor-buildsize     "31 MB">
-  <!ENTITY gnome-system-monitor-time          "0.2 SBU (parallelism=4)">
+           "&gnome-download-ftp;/gnome-system-monitor/&gnome-minor-38;/gnome-system-monitor-&gnome-system-monitor-version;.tar.xz">
+  <!ENTITY gnome-system-monitor-md5sum        "0494ca62d2d59b5de5efc2eddef58463">
+  <!ENTITY gnome-system-monitor-size          "696 KB">
+  <!ENTITY gnome-system-monitor-buildsize     "32 MB">
+  <!ENTITY gnome-system-monitor-time          "0.2 SBU (with parallelism=4)">
 ]>
 
@@ -155,5 +155,5 @@
         </seg>
         <seg>
-          /usr/{libexec, share, share/help/*}/gnome-system-monitor
+          /usr/{libexec,share,share/help/*}/gnome-system-monitor
         </seg>
       </seglistitem>
Index: gnome/applications/gnome-terminal.xml
===================================================================
--- gnome/applications/gnome-terminal.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ gnome/applications/gnome-terminal.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-terminal-download-http
-           "&gnome-download-http;/gnome-terminal/&gnome-minor-36;/gnome-terminal-&gnome-terminal-version;.tar.xz">
+           "&gnome-download-http;/gnome-terminal/&gnome-minor-38;/gnome-terminal-&gnome-terminal-version;.tar.xz">
   <!ENTITY gnome-terminal-download-ftp
-           "&gnome-download-ftp;/gnome-terminal/&gnome-minor-36;/gnome-terminal-&gnome-terminal-version;.tar.xz">
-  <!ENTITY gnome-terminal-md5sum        "08150cbf2e23dd4f60f959a6eca8ef0c">
+           "&gnome-download-ftp;/gnome-terminal/&gnome-minor-38;/gnome-terminal-&gnome-terminal-version;.tar.xz">
+  <!ENTITY gnome-terminal-md5sum        "8e131d6c4eca8843bec9421e43191790">
   <!ENTITY gnome-terminal-size          "2.4 MB">
-  <!ENTITY gnome-terminal-buildsize     "46 MB">
+  <!ENTITY gnome-terminal-buildsize     "47 MB">
   <!ENTITY gnome-terminal-time          "0.1 SBU (using parallelism=4)">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ introduction/welcome/changelog.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -43,4 +43,66 @@
     -->
     <listitem>
+      <para>October 21st, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Adapt gnome-nettool to work with current versions of
+          ping, ping6, and netstat.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to epiphany-3.38.1. Finishes
+          <ulink url="&blfs-ticket-root;14032">#14032</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gedit-3.38.0. Part of
+          <ulink url="&blfs-ticket-root;14032">#14032</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-terminal-3.38.1. Part of
+          <ulink url="&blfs-ticket-root;14032">#14032</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-system-monitor-3.38.0. Part of
+          <ulink url="&blfs-ticket-root;14032">#14032</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-screenshot-3.38.0. Part of
+          <ulink url="&blfs-ticket-root;14032">#14032</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-maps-3.38.1.1. Part of
+          <ulink url="&blfs-ticket-root;14032">#14032</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-disk-utility-3.38.0. Part of
+          <ulink url="&blfs-ticket-root;14032">#14032</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-calculator-3.38.0. Part of
+          <ulink url="&blfs-ticket-root;14032">#14032</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to file-roller-3.38.0. Part of
+          <ulink url="&blfs-ticket-root;14032">#14032</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to evolution-3.38.1. Part of
+          <ulink url="&blfs-ticket-root;14032">#14032</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to NetworkManager-1.26.4. Fixes
+          <ulink url="&blfs-ticket-root;14139">#14139</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to ModemManager-1.14.6. Fixes
+          <ulink url="&blfs-ticket-root;14138">#14138</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to openldap-2.4.54. Fixes
+          <ulink url="&blfs-ticket-root;14135">#14135</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>October 20th, 2020</para>
       <itemizedlist>
Index: networking/netutils/networkmanager.xml
===================================================================
--- networking/netutils/networkmanager.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ networking/netutils/networkmanager.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -9,7 +9,7 @@
   <!ENTITY NetworkManager-download-ftp
 "&gnome-download-ftp;/NetworkManager/&NetworkManager-minor;/NetworkManager-&NetworkManager-version;.tar.xz">
-  <!ENTITY NetworkManager-md5sum        "ad5332a7fe5d00db7c75b722337be62b">
-  <!ENTITY NetworkManager-size          "4.7 MB">
-  <!ENTITY NetworkManager-buildsize     "992 MB (with tests)">
+  <!ENTITY NetworkManager-md5sum        "86d74ff1ee79ddf2688348990870652d">
+  <!ENTITY NetworkManager-size          "4.8 MB">
+  <!ENTITY NetworkManager-buildsize     "995 MB (with tests)">
   <!ENTITY NetworkManager-time          "1.0 SBU (with tests; both using parallelism=4)">
 ]>
@@ -191,21 +191,4 @@
 <screen><userinput>grep -rl '^#!.*python$' | xargs sed -i '1s/python/&amp;3/'</userinput></screen>
 
-<!-- I am really uncomfortable with the length of this sed statement, but I
-     can't find an easy way to trim it since it's using an extended regular
-     expression. See https://pastebin.com/gRDeqPs8 and
-     https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/commit/7d26773138dd4270c45e131761d4e6be58f64d12
-     for more details. -->
-
-    <para>
-      Adapt an internal tool to the latest pygobject:
-    </para>
-
-<screen><userinput remap="pre">sed -i -E '/(setting name)/
-{
-  s/(description=).%s./\1%s/
-  N
-  s/(class_desc)/xml_quoteattr(\1)/
-}' tools/generate-docs-nm-settings-docs-gir.py</userinput></screen>
-
     <para>
       Install <application>NetworkManager</application> by running the
Index: packages.ent
===================================================================
--- packages.ent	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ packages.ent	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -64,5 +64,5 @@
 <!ENTITY ed-version                   "1.16">
 <!ENTITY emacs-version                "27.1">
-<!ENTITY gedit-version                "3.36.2">
+<!ENTITY gedit-version                "3.38.0">
 <!ENTITY joe-version                  "4.6">
 <!ENTITY juffed-version               "0.10.r71.gc3c1a3f">
@@ -295,5 +295,5 @@
 <!ENTITY lsb-tools-version            "0.8">
 <!ENTITY mc-version                   "4.8.25">
-<!ENTITY ModemManager-version         "1.14.2">
+<!ENTITY ModemManager-version         "1.14.6">
 <!ENTITY notification-daemon-version  "3.20.0">
 <!ENTITY obex-data-server-version     "0.4.6">
@@ -598,5 +598,5 @@
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-minor         "1.26">
-<!ENTITY NetworkManager-version       "&NetworkManager-minor;.2">
+<!ENTITY NetworkManager-version       "&NetworkManager-minor;.4">
 <!ENTITY network-manager-applet-version "1.18.0">
 <!ENTITY nmap-version                 "7.91">
@@ -671,5 +671,5 @@
 
 <!-- Chapter 23 -->
-<!ENTITY openldap-version             "2.4.53">
+<!ENTITY openldap-version             "2.4.54">
 <!ENTITY soprano-version              "2.9.4">
 <!ENTITY unbound-version              "1.12.0">
@@ -908,5 +908,5 @@
 <!-- Chapter 40 -->
 <!--<!ENTITY chromium-version             "64.0.3282.186">-->
-<!ENTITY epiphany-version             "3.36.4">
+<!ENTITY epiphany-version             "3.38.1">
 <!ENTITY falkon-major-version         "3.1">
 <!ENTITY falkon-minor-version         "0">
Index: postlfs/editors/gedit.xml
===================================================================
--- postlfs/editors/gedit.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ postlfs/editors/gedit.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY gedit-download-http "&gnome-download-http;/gedit/&gnome-minor-36;/gedit-&gedit-version;.tar.xz">
-  <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/&gnome-minor-36;/gedit-&gedit-version;.tar.xz">
-  <!ENTITY gedit-md5sum        "438217bbbcf92a17c4f259b4a5426b03">
-  <!ENTITY gedit-size          "14 MB">
-  <!ENTITY gedit-buildsize     "88 MB (with tests)">
+  <!ENTITY gedit-download-http "&gnome-download-http;/gedit/&gnome-minor-38;/gedit-&gedit-version;.tar.xz">
+  <!ENTITY gedit-download-ftp  "&gnome-download-ftp;/gedit/&gnome-minor-38;/gedit-&gedit-version;.tar.xz">
+  <!ENTITY gedit-md5sum        "c5afa1eab08f7ac69ed809f5d6d0c51b">
+  <!ENTITY gedit-size          "6.5 MB">
+  <!ENTITY gedit-buildsize     "74 MB (with tests)">
   <!ENTITY gedit-time          "0.3 SBU (using parallelism=4; with tests)">
 ]>
Index: server/other/openldap.xml
===================================================================
--- server/other/openldap.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ server/other/openldap.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -7,8 +7,8 @@
   <!ENTITY openldap-download-http "https://www.openldap.org/software/download/OpenLDAP/openldap-release/openldap-&openldap-version;.tgz">
   <!ENTITY openldap-download-ftp  "ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/openldap-&openldap-version;.tgz">
-  <!ENTITY openldap-md5sum        "ac589e3691d52872e32c569c5e05cece">
+  <!ENTITY openldap-md5sum        "dee0ad4683e56a57d9a11a391f6be428">
   <!ENTITY openldap-size          "5.6 MB">
   <!ENTITY openldap-buildsize     "54 MB (client), 104 MB (server)">
-  <!ENTITY openldap-time          "0.5 SBU (client), 1.1 SBU (server)">
+  <!ENTITY openldap-time          "0.5 SBU (client), 1.0 SBU (server)">
 ]>
 
Index: xsoft/graphweb/epiphany.xml
===================================================================
--- xsoft/graphweb/epiphany.xml	(revision c85850685cdad91df2b21c909aeaa55c398dff0d)
+++ xsoft/graphweb/epiphany.xml	(revision 279fc64ecdb89e74559387b1bf55ab14dfed77ae)
@@ -6,10 +6,10 @@
 
   <!ENTITY epiphany-download-http
-           "&gnome-download-http;/epiphany/&gnome-minor-36;/epiphany-&epiphany-version;.tar.xz">
+           "&gnome-download-http;/epiphany/&gnome-minor-38;/epiphany-&epiphany-version;.tar.xz">
   <!ENTITY epiphany-download-ftp
-           "&gnome-download-ftp;/epiphany/&gnome-minor-36;/epiphany-&epiphany-version;.tar.xz">
-  <!ENTITY epiphany-md5sum        "dba7e0e698948f7896463c512140cb98">
-  <!ENTITY epiphany-size          "5.6 MB">
-  <!ENTITY epiphany-buildsize     "97 MB"> 
+           "&gnome-download-ftp;/epiphany/&gnome-minor-38;/epiphany-&epiphany-version;.tar.xz">
+  <!ENTITY epiphany-md5sum        "d4a546d1fb8851f69e2a0b606313ed69">
+  <!ENTITY epiphany-size          "3.7 MB">
+  <!ENTITY epiphany-buildsize     "93 MB"> 
   <!ENTITY epiphany-time          "0.3 SBU (Using parallelism=4, including tests)"> 
 ]>
@@ -83,4 +83,5 @@
       <xref linkend="json-glib"/>,
       <xref linkend="libnotify"/>,
+      <xref linkend="libportal"/>,
       <xref linkend="nettle"/>, and
       <xref linkend="webkitgtk"/>
@@ -90,5 +91,5 @@
     <para role="recommended">
       <xref linkend="libdazzle"/> and
-      <xref linkend="libhandy"/>
+      <xref linkend="libhandy1"/>
     </para>
 