Index: general.ent
===================================================================
--- general.ent	(revision 5358e05c1e9dd91b8949af194d0b010952a7fe3d)
+++ general.ent	(revision 280ec661ac4cd81feac77a30dd95b0cf6c8e9796)
@@ -352,5 +352,5 @@
 <!ENTITY gnumeric-version             "1.2.10"> 
 <!ENTITY gnucash-version              "1.8.9"> 
-<!ENTITY gimp-version                 "2.0.2"> 
+<!ENTITY gimp-version                 "2.0.4"> 
 <!ENTITY evolution-version            "1.4.5">  
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5358e05c1e9dd91b8949af194d0b010952a7fe3d)
+++ introduction/welcome/changelog.xml	(revision 280ec661ac4cd81feac77a30dd95b0cf6c8e9796)
@@ -24,4 +24,7 @@
 
 <listitem><para>August 16th, 2004 [randy]: Updated to 
+GIMP-2.0.4</para></listitem>
+
+<listitem><para>August 16th, 2004 [randy]: Updated to 
 Sysstat-5.0.6; minor modifications to libgsf and libcroco 
 instructions.</para></listitem>
Index: xsoft/office/gimp.xml
===================================================================
--- xsoft/office/gimp.xml	(revision 5358e05c1e9dd91b8949af194d0b010952a7fe3d)
+++ xsoft/office/gimp.xml	(revision 280ec661ac4cd81feac77a30dd95b0cf6c8e9796)
@@ -8,6 +8,6 @@
   <!ENTITY gimp-download-ftp  "ftp://ftp.gimp.org/pub/gimp/v2.0/gimp-&gimp-version;.tar.bz2">
   <!ENTITY gimp-size          "13.8 MB">
-  <!ENTITY gimp-buildsize     "578 MB">
-  <!ENTITY gimp-time          "6.22 SBU">
+  <!ENTITY gimp-buildsize     "237 MB">
+  <!ENTITY gimp-time          "4.59 SBU">
 ]>
 
@@ -21,5 +21,6 @@
 
 <sect2>
-<title>Introduction to <application><acronym>GIMP</acronym></application></title>
+<title>Introduction to <application><acronym>GIMP</acronym></application>
+</title>
 
 <para>The <application><acronym>GIMP</acronym></application> package contains 
@@ -44,11 +45,14 @@
 <itemizedlist spacing='compact'>
 <listitem><para>Download (FTP): <ulink
-url="ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz"/></para></listitem>
+url="ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz"/></para>
+</listitem>
 <listitem><para>Download (FTP): <ulink
-url="ftp://ftp.gimp.org/pub/gimp/v1.2/v1.2.5/gimp-data-extras-1.2.0.tar.bz2"/></para></listitem></itemizedlist>
+url="ftp://ftp.gimp.org/pub/gimp/v1.2/v1.2.5/gimp-data-extras-1.2.0.tar.bz2"/>
+</para></listitem></itemizedlist>
 </sect3>
 -->
 
-<sect3><title><application><acronym>GIMP</acronym></application> dependencies</title>
+<sect3><title><application><acronym>GIMP</acronym></application> 
+dependencies</title>
 <sect4><title>Required</title>
 <para>
@@ -64,5 +68,5 @@
 <xref linkend="librsvg"/>,
 <xref linkend="aalib"/>,
-<xref linkend="Python"/>,
+<xref linkend="Python"/> (and <ulink url="http://www.pygtk.org/">PyGTK</ulink>), 
 <xref linkend="gtk-doc"/>,
 <xref linkend="libgtkhtml"/>,
@@ -77,5 +81,6 @@
 
 <sect2>
-<title>Installation of <application><acronym>GIMP</acronym></application></title>
+<title>Installation of <application><acronym>GIMP</acronym></application>
+</title>
 
 <para>Install <application><acronym>GIMP</acronym></application> by running 
@@ -85,5 +90,4 @@
 make &amp;&amp;
 make install</command></userinput></screen>
-
 
 </sect2>
@@ -103,5 +107,6 @@
 
 <sect3><title>Config files</title>
-<para><filename>/etc/gimp/2.0/*</filename>, <filename>~/.gimp-2.0</filename></para>
+<para><filename>/etc/gimp/2.0/*</filename>, 
+<filename>~/.gimp-2.0</filename></para>
 </sect3>
 
@@ -109,6 +114,5 @@
 
 <para><application><acronym>GIMP</acronym></application> executes a 
-configuration wizard for each user upon their initial use of the 
-program.</para>
+configuration wizard for each user upon their initial use of the program.</para>
 </sect3>
 
@@ -120,6 +124,8 @@
 <para>The <application><acronym>GIMP</acronym></application> package contains 
 <command>gimp</command>, <command>gimp-remote</command>, 
-<command>gimptool</command> and the 
-<application><acronym>GIMP</acronym></application> libraries.</para>
+<command>gimptool</command>, 
+<filename class='libraryfile'>libgimp</filename> libraries, 
+<application><acronym>GIMP</acronym></application> plugins and 
+<application><acronym>GIMP</acronym></application> modules.</para>
 
 </sect2>